package com.hammurapi.review;

import java.util.ArrayList;
import java.util.Collection;


public class CompositeObservationSink implements ObservationSink {
	
	private Collection<ObservationSink> sinks = new ArrayList<ObservationSink>();
	
	public synchronized void addSink(ObservationSink sink) {
		sinks.add(sink);
	}

	@Override
	public synchronized void close() throws ReviewException {
		for (ObservationSink sink: sinks) {
			sink.close();
		}
	}

	@Override
	public synchronized void consumeObservation(Observation observation) throws ReviewException {
		for (ObservationSink sink: sinks) {
			sink.consumeObservation(observation);
		}
	}

}
