/**
 * Property of Hammurapi Group
 */
package com.hammurapi.review;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * This annotation indicates that review of a model element of given type and its 
 * sub-elements can be performed in a separate thread. Therefore, this annotation
 * defines the level in the model to perform review data parallelism. Setting it 
 * too high in the model hierarchy will lead to low thread utilization, setting it
 * too low will lead to creation of too many small review tasks.
 * 
 * E.g. for the Java model this level would be type and/or source unit.
 * 
 * @author Pavel
 *
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface Fork {
	
}
