package com.hammurapi.review;

import com.hammurapi.util.Context;

/**
 * Language module creates a model from sources.
 * @author Pavel Vlasov
 * @param <S> Source type.
 * @param <M> Model type.
 */
public interface LanguageModule<S, M> {

	/**
	 * Loads source(s) to produce model.
	 * @param source Source(s)
	 * @param context Context.
	 * @return Model.
	 * @throws ReviewException
	 */
	M load(S source, Context context) throws ReviewException;
}
