package com.hammurapi.review;

/**
 * Consumer of review observations.
 * @author Pavel Vlasov
 *
 */
public interface ObservationSink {
	
	/**
	 * Consumes review observation.
	 * @param observation
	 * @throws ReviewException
	 */
	void consumeObservation(Observation observation) throws ReviewException;

	/**
	 * Closes this observation sink.
	 * @throws ReviewException
	 */
	void close() throws ReviewException;
}
