package com.hammurapi.review;

import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.hammurapi.review.Module;

public class Summary extends Aggregator {
	
	private Map<String, ModuleAggregator> modules = new HashMap<String, ModuleAggregator>();
	private List<Exception> exceptions = new ArrayList<Exception>();
	
	public ObservationSink getObservationSink(Module module) {
		ModuleAggregator ret = modules.get(module.getName());
		if (ret==null) {
			ret = new ModuleAggregator(module, this);
			modules.put(module.getName(), ret);
		}
		return ret;
	}
	
	public void onException(Exception e) {
		exceptions.add(e);		
	}

	public List<Exception> getExceptions() {
		return exceptions;
	}
	
	public Collection<ModuleAggregator> getModules() {
		return modules.values();
	}
	
}
