/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.hammurapi.review;

import org.eclipse.emf.common.util.EList;

import com.hammurapi.config.Factory;
import com.hammurapi.config.ObjectDefinition;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Component</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * Component is a definition how to perform a review.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.hammurapi.review.Component#getModule <em>Module</em>}</li>
 *   <li>{@link com.hammurapi.review.Component#getName <em>Name</em>}</li>
 *   <li>{@link com.hammurapi.review.Component#getReporter <em>Reporter</em>}</li>
 *   <li>{@link com.hammurapi.review.Component#getWaivers <em>Waivers</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.hammurapi.review.ReviewPackage#getComponent()
 * @model
 * @generated
 */
public interface Component extends ObjectDefinition {
	/**
	 * Returns the value of the '<em><b>Module</b></em>' containment reference list.
	 * The list contents are of type {@link com.hammurapi.review.Module}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Component contains one or more modules.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Module</em>' containment reference list.
	 * @see com.hammurapi.review.ReviewPackage#getComponent_Module()
	 * @model containment="true" required="true"
	 * @generated
	 */
	EList<Module> getModule();

	/**
	 * Returns the value of the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Name</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Name</em>' attribute.
	 * @see #setName(String)
	 * @see com.hammurapi.review.ReviewPackage#getComponent_Name()
	 * @model
	 * @generated
	 */
	String getName();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.Component#getName <em>Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Name</em>' attribute.
	 * @see #getName()
	 * @generated
	 */
	void setName(String value);

	/**
	 * Returns the value of the '<em><b>Reporter</b></em>' containment reference list.
	 * The list contents are of type {@link com.hammurapi.config.Factory}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Review observations are passed to reporters.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Reporter</em>' containment reference list.
	 * @see com.hammurapi.review.ReviewPackage#getComponent_Reporter()
	 * @model containment="true" required="true"
	 * @generated
	 */
	EList<Factory> getReporter();

	/**
	 * Returns the value of the '<em><b>Waivers</b></em>' containment reference list.
	 * The list contents are of type {@link com.hammurapi.review.Waiver}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Waivers</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Waivers</em>' containment reference list.
	 * @see com.hammurapi.review.ReviewPackage#getComponent_Waivers()
	 * @model containment="true"
	 * @generated
	 */
	EList<Waiver> getWaivers();

} // Component
