/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.hammurapi.review;

import com.hammurapi.config.Named;
import com.hammurapi.config.Factory;
import com.hammurapi.config.NamedObjectDefinition;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Governor</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * Base interface for inspectors and inspector sets.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.hammurapi.review.Governor#getLanguageModules <em>Language Modules</em>}</li>
 *   <li>{@link com.hammurapi.review.Governor#getEnforcedBy <em>Enforced By</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.hammurapi.review.ReviewPackage#getGovernor()
 * @model interface="true" abstract="true"
 * @generated
 */
public interface Governor extends NamedObjectDefinition {
	/**
	 * Returns the value of the '<em><b>Language Modules</b></em>' reference list.
	 * The list contents are of type {@link com.hammurapi.config.Named}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Language modules which this governor depends on. This information is used only for documentation purposes.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Language Modules</em>' reference list.
	 * @see com.hammurapi.review.ReviewPackage#getGovernor_LanguageModules()
	 * @model
	 * @generated
	 */
	EList<Named> getLanguageModules();

	/**
	 * Returns the value of the '<em><b>Enforced By</b></em>' reference list.
	 * The list contents are of type {@link com.hammurapi.review.ToolVersion}.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.ToolVersion#getEnforces <em>Enforces</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Tools versions which enforce this inspector (guideline) or inspector set.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Enforced By</em>' reference list.
	 * @see com.hammurapi.review.ReviewPackage#getGovernor_EnforcedBy()
	 * @see com.hammurapi.review.ToolVersion#getEnforces
	 * @model opposite="enforces"
	 * @generated
	 */
	EList<ToolVersion> getEnforcedBy();

} // Governor
