/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.hammurapi.review;

import org.eclipse.emf.common.util.EList;
import com.hammurapi.config.NamedObjectDefinition;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Inspector</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.hammurapi.review.Inspector#getCategory <em>Category</em>}</li>
 *   <li>{@link com.hammurapi.review.Inspector#getUid <em>Uid</em>}</li>
 *   <li>{@link com.hammurapi.review.Inspector#getSeverity <em>Severity</em>}</li>
 *   <li>{@link com.hammurapi.review.Inspector#getMessageTemplate <em>Message Template</em>}</li>
 *   <li>{@link com.hammurapi.review.Inspector#getInspectorSet <em>Inspector Set</em>}</li>
 *   <li>{@link com.hammurapi.review.Inspector#getOutboundRelationships <em>Outbound Relationships</em>}</li>
 *   <li>{@link com.hammurapi.review.Inspector#getInboundRelationships <em>Inbound Relationships</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.hammurapi.review.ReviewPackage#getInspector()
 * @model
 * @generated
 */
public interface Inspector extends Governor {
	/**
	 * Returns the value of the '<em><b>Category</b></em>' reference.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.InspectorCategory#getInspectors <em>Inspectors</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Inspector may belong to zero or one category.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Category</em>' reference.
	 * @see #setCategory(InspectorCategory)
	 * @see com.hammurapi.review.ReviewPackage#getInspector_Category()
	 * @see com.hammurapi.review.InspectorCategory#getInspectors
	 * @model opposite="inspectors"
	 * @generated
	 */
	InspectorCategory getCategory();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.Inspector#getCategory <em>Category</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Category</em>' reference.
	 * @see #getCategory()
	 * @generated
	 */
	void setCategory(InspectorCategory value);

	/**
	 * Returns the value of the '<em><b>Uid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Unique inspector ID. 
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Uid</em>' attribute.
	 * @see #setUid(String)
	 * @see com.hammurapi.review.ReviewPackage#getInspector_Uid()
	 * @model id="true" required="true"
	 * @generated
	 */
	String getUid();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.Inspector#getUid <em>Uid</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Uid</em>' attribute.
	 * @see #getUid()
	 * @generated
	 */
	void setUid(String value);

	/**
	 * Returns the value of the '<em><b>Severity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Severity</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Severity</em>' attribute.
	 * @see #setSeverity(Integer)
	 * @see com.hammurapi.review.ReviewPackage#getInspector_Severity()
	 * @model
	 * @generated
	 */
	Integer getSeverity();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.Inspector#getSeverity <em>Severity</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Severity</em>' attribute.
	 * @see #getSeverity()
	 * @generated
	 */
	void setSeverity(Integer value);

	/**
	 * Returns the value of the '<em><b>Message Template</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Message Template</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Message Template</em>' attribute.
	 * @see #setMessageTemplate(String)
	 * @see com.hammurapi.review.ReviewPackage#getInspector_MessageTemplate()
	 * @model
	 * @generated
	 */
	String getMessageTemplate();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.Inspector#getMessageTemplate <em>Message Template</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Message Template</em>' attribute.
	 * @see #getMessageTemplate()
	 * @generated
	 */
	void setMessageTemplate(String value);

	/**
	 * Returns the value of the '<em><b>Inspector Set</b></em>' container reference.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.InspectorSet#getInspectors <em>Inspectors</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Inspector Set</em>' container reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Inspector Set</em>' container reference.
	 * @see #setInspectorSet(InspectorSet)
	 * @see com.hammurapi.review.ReviewPackage#getInspector_InspectorSet()
	 * @see com.hammurapi.review.InspectorSet#getInspectors
	 * @model opposite="inspectors" transient="false"
	 * @generated
	 */
	InspectorSet getInspectorSet();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.Inspector#getInspectorSet <em>Inspector Set</em>}' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Inspector Set</em>' container reference.
	 * @see #getInspectorSet()
	 * @generated
	 */
	void setInspectorSet(InspectorSet value);

	/**
	 * Returns the value of the '<em><b>Outbound Relationships</b></em>' containment reference list.
	 * The list contents are of type {@link com.hammurapi.review.InspectorRelationship}.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.InspectorRelationship#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Inspector can have zero or more relationships with other inspectors.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Outbound Relationships</em>' containment reference list.
	 * @see com.hammurapi.review.ReviewPackage#getInspector_OutboundRelationships()
	 * @see com.hammurapi.review.InspectorRelationship#getSource
	 * @model opposite="source" containment="true"
	 * @generated
	 */
	EList<InspectorRelationship> getOutboundRelationships();

	/**
	 * Returns the value of the '<em><b>Inbound Relationships</b></em>' reference list.
	 * The list contents are of type {@link com.hammurapi.review.InspectorRelationship}.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.InspectorRelationship#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Inbound Relationships</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Inbound Relationships</em>' reference list.
	 * @see com.hammurapi.review.ReviewPackage#getInspector_InboundRelationships()
	 * @see com.hammurapi.review.InspectorRelationship#getTarget
	 * @model opposite="target"
	 * @generated
	 */
	EList<InspectorRelationship> getInboundRelationships();

} // Inspector
