/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.hammurapi.review;

import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Inspector Category</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * Inspector category.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.hammurapi.review.InspectorCategory#getSubCategory <em>Sub Category</em>}</li>
 *   <li>{@link com.hammurapi.review.InspectorCategory#getParentCategory <em>Parent Category</em>}</li>
 *   <li>{@link com.hammurapi.review.InspectorCategory#getExternalParent <em>External Parent</em>}</li>
 *   <li>{@link com.hammurapi.review.InspectorCategory#getGovernedBy <em>Governed By</em>}</li>
 *   <li>{@link com.hammurapi.review.InspectorCategory#getInspectors <em>Inspectors</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.hammurapi.review.ReviewPackage#getInspectorCategory()
 * @model
 * @generated
 */
public interface InspectorCategory extends GovernanaceObject {
	/**
	 * Returns the value of the '<em><b>Sub Category</b></em>' containment reference list.
	 * The list contents are of type {@link com.hammurapi.review.InspectorCategory}.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.InspectorCategory#getParentCategory <em>Parent Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Sub Category</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Sub Category</em>' containment reference list.
	 * @see com.hammurapi.review.ReviewPackage#getInspectorCategory_SubCategory()
	 * @see com.hammurapi.review.InspectorCategory#getParentCategory
	 * @model opposite="parentCategory" containment="true"
	 * @generated
	 */
	EList<InspectorCategory> getSubCategory();

	/**
	 * Returns the value of the '<em><b>Parent Category</b></em>' container reference.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.InspectorCategory#getSubCategory <em>Sub Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Categories may form a hierarchy, e.g. Java/J2EE/EJB.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Parent Category</em>' container reference.
	 * @see #setParentCategory(InspectorCategory)
	 * @see com.hammurapi.review.ReviewPackage#getInspectorCategory_ParentCategory()
	 * @see com.hammurapi.review.InspectorCategory#getSubCategory
	 * @model opposite="subCategory" transient="false"
	 * @generated
	 */
	InspectorCategory getParentCategory();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.InspectorCategory#getParentCategory <em>Parent Category</em>}' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Parent Category</em>' container reference.
	 * @see #getParentCategory()
	 * @generated
	 */
	void setParentCategory(InspectorCategory value);

	/**
	 * Returns the value of the '<em><b>External Parent</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Inspector set category can be mounted as a sub-category of one of base categories.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>External Parent</em>' reference.
	 * @see #setExternalParent(InspectorCategory)
	 * @see com.hammurapi.review.ReviewPackage#getInspectorCategory_ExternalParent()
	 * @model
	 * @generated
	 */
	InspectorCategory getExternalParent();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.InspectorCategory#getExternalParent <em>External Parent</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>External Parent</em>' reference.
	 * @see #getExternalParent()
	 * @generated
	 */
	void setExternalParent(InspectorCategory value);

	/**
	 * Returns the value of the '<em><b>Governed By</b></em>' reference list.
	 * The list contents are of type {@link com.hammurapi.review.ToolVersion}.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.ToolVersion#getGoverns <em>Governs</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Governed By</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Governed By</em>' reference list.
	 * @see com.hammurapi.review.ReviewPackage#getInspectorCategory_GovernedBy()
	 * @see com.hammurapi.review.ToolVersion#getGoverns
	 * @model opposite="governs"
	 * @generated
	 */
	EList<ToolVersion> getGovernedBy();

	/**
	 * Returns the value of the '<em><b>Inspectors</b></em>' reference list.
	 * The list contents are of type {@link com.hammurapi.review.Inspector}.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.Inspector#getCategory <em>Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Inspectors</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Inspectors</em>' reference list.
	 * @see com.hammurapi.review.ReviewPackage#getInspectorCategory_Inspectors()
	 * @see com.hammurapi.review.Inspector#getCategory
	 * @model opposite="category"
	 * @generated
	 */
	EList<Inspector> getInspectors();

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Category path.
	 * <!-- end-model-doc -->
	 * @model kind="operation"
	 * @generated
	 */
	String getPath();

} // InspectorCategory
