/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.hammurapi.review;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Inspector Relationship</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * Relationship between inspectors.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.hammurapi.review.InspectorRelationship#getDescription <em>Description</em>}</li>
 *   <li>{@link com.hammurapi.review.InspectorRelationship#getTarget <em>Target</em>}</li>
 *   <li>{@link com.hammurapi.review.InspectorRelationship#getSource <em>Source</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.hammurapi.review.ReviewPackage#getInspectorRelationship()
 * @model
 * @generated
 */
public interface InspectorRelationship extends EObject {
	/**
	 * Returns the value of the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Relationship description.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Description</em>' attribute.
	 * @see #setDescription(String)
	 * @see com.hammurapi.review.ReviewPackage#getInspectorRelationship_Description()
	 * @model
	 * @generated
	 */
	String getDescription();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.InspectorRelationship#getDescription <em>Description</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Description</em>' attribute.
	 * @see #getDescription()
	 * @generated
	 */
	void setDescription(String value);

	/**
	 * Returns the value of the '<em><b>Target</b></em>' reference.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.Inspector#getInboundRelationships <em>Inbound Relationships</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Target</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Target</em>' reference.
	 * @see #setTarget(Inspector)
	 * @see com.hammurapi.review.ReviewPackage#getInspectorRelationship_Target()
	 * @see com.hammurapi.review.Inspector#getInboundRelationships
	 * @model opposite="inboundRelationships" required="true"
	 * @generated
	 */
	Inspector getTarget();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.InspectorRelationship#getTarget <em>Target</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Target</em>' reference.
	 * @see #getTarget()
	 * @generated
	 */
	void setTarget(Inspector value);

	/**
	 * Returns the value of the '<em><b>Source</b></em>' container reference.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.Inspector#getOutboundRelationships <em>Outbound Relationships</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Source</em>' container reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Source</em>' container reference.
	 * @see #setSource(Inspector)
	 * @see com.hammurapi.review.ReviewPackage#getInspectorRelationship_Source()
	 * @see com.hammurapi.review.Inspector#getOutboundRelationships
	 * @model opposite="outboundRelationships" required="true" transient="false"
	 * @generated
	 */
	Inspector getSource();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.InspectorRelationship#getSource <em>Source</em>}' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Source</em>' container reference.
	 * @see #getSource()
	 * @generated
	 */
	void setSource(Inspector value);

} // InspectorRelationship
