/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.hammurapi.review;

import org.eclipse.emf.common.util.EList;

import com.hammurapi.config.NamedObjectDefinition;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Inspector Set</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * A collection of inspector definitions. Also contains inspector categories.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.hammurapi.review.InspectorSet#getInspectors <em>Inspectors</em>}</li>
 *   <li>{@link com.hammurapi.review.InspectorSet#getCategories <em>Categories</em>}</li>
 *   <li>{@link com.hammurapi.review.InspectorSet#getBase <em>Base</em>}</li>
 *   <li>{@link com.hammurapi.review.InspectorSet#getVersion <em>Version</em>}</li>
 *   <li>{@link com.hammurapi.review.InspectorSet#getIncludedInspectors <em>Included Inspectors</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.hammurapi.review.ReviewPackage#getInspectorSet()
 * @model
 * @generated
 */
public interface InspectorSet extends Governor {
	/**
	 * Returns the value of the '<em><b>Inspectors</b></em>' containment reference list.
	 * The list contents are of type {@link com.hammurapi.review.Inspector}.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.Inspector#getInspectorSet <em>Inspector Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Inspector set contains one or more inspectors.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Inspectors</em>' containment reference list.
	 * @see com.hammurapi.review.ReviewPackage#getInspectorSet_Inspectors()
	 * @see com.hammurapi.review.Inspector#getInspectorSet
	 * @model opposite="inspectorSet" containment="true" required="true"
	 * @generated
	 */
	EList<Inspector> getInspectors();

	/**
	 * Returns the value of the '<em><b>Categories</b></em>' containment reference list.
	 * The list contents are of type {@link com.hammurapi.review.InspectorCategory}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Inspector set contains definitions of inspector categories referenced by inspectors.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Categories</em>' containment reference list.
	 * @see com.hammurapi.review.ReviewPackage#getInspectorSet_Categories()
	 * @model containment="true"
	 * @generated
	 */
	EList<InspectorCategory> getCategories();

	/**
	 * Returns the value of the '<em><b>Base</b></em>' reference list.
	 * The list contents are of type {@link com.hammurapi.review.InspectorSet}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Inspector set can extend other inspector sets. Inspectors from base inspector sets are added to the extending inspector set. Inspector set level definitions from bases are ignored.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Base</em>' reference list.
	 * @see com.hammurapi.review.ReviewPackage#getInspectorSet_Base()
	 * @model
	 * @generated
	 */
	EList<InspectorSet> getBase();

	/**
	 * Returns the value of the '<em><b>Version</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Inspector set version.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Version</em>' attribute.
	 * @see #setVersion(String)
	 * @see com.hammurapi.review.ReviewPackage#getInspectorSet_Version()
	 * @model
	 * @generated
	 */
	String getVersion();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.InspectorSet#getVersion <em>Version</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Version</em>' attribute.
	 * @see #getVersion()
	 * @generated
	 */
	void setVersion(String value);

	/**
	 * Returns the value of the '<em><b>Included Inspectors</b></em>' reference list.
	 * The list contents are of type {@link com.hammurapi.review.Inspector}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Inspectors defined in external inspector sets and included into this inspector set by reference. This feature allows to include individual externally defined inspectors into an inspector set. 
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Included Inspectors</em>' reference list.
	 * @see com.hammurapi.review.ReviewPackage#getInspectorSet_IncludedInspectors()
	 * @model
	 * @generated
	 */
	EList<Inspector> getIncludedInspectors();

} // InspectorSet
