/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.hammurapi.review;

import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EObject;

import com.hammurapi.config.Factory;
import com.hammurapi.config.Path;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Module</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * Module defines a set of source and inspector sets to use on these sources.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.hammurapi.review.Module#getInspectorSet <em>Inspector Set</em>}</li>
 *   <li>{@link com.hammurapi.review.Module#getName <em>Name</em>}</li>
 *   <li>{@link com.hammurapi.review.Module#getDescription <em>Description</em>}</li>
 *   <li>{@link com.hammurapi.review.Module#getSource <em>Source</em>}</li>
 *   <li>{@link com.hammurapi.review.Module#getClassPath <em>Class Path</em>}</li>
 *   <li>{@link com.hammurapi.review.Module#getModel <em>Model</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.hammurapi.review.ReviewPackage#getModule()
 * @model
 * @generated
 */
public interface Module extends EObject {
	/**
	 * Returns the value of the '<em><b>Inspector Set</b></em>' reference list.
	 * The list contents are of type {@link com.hammurapi.review.InspectorSet}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Module is reviewed by one or more inspector sets.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Inspector Set</em>' reference list.
	 * @see com.hammurapi.review.ReviewPackage#getModule_InspectorSet()
	 * @model required="true"
	 * @generated
	 */
	EList<InspectorSet> getInspectorSet();

	/**
	 * Returns the value of the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Name</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Name</em>' attribute.
	 * @see #setName(String)
	 * @see com.hammurapi.review.ReviewPackage#getModule_Name()
	 * @model
	 * @generated
	 */
	String getName();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.Module#getName <em>Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Name</em>' attribute.
	 * @see #getName()
	 * @generated
	 */
	void setName(String value);

	/**
	 * Returns the value of the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Description</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Description</em>' attribute.
	 * @see #setDescription(String)
	 * @see com.hammurapi.review.ReviewPackage#getModule_Description()
	 * @model
	 * @generated
	 */
	String getDescription();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.Module#getDescription <em>Description</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Description</em>' attribute.
	 * @see #getDescription()
	 * @generated
	 */
	void setDescription(String value);

	/**
	 * Returns the value of the '<em><b>Source</b></em>' containment reference list.
	 * The list contents are of type {@link com.hammurapi.config.Factory}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Module consists of several source definitions.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Source</em>' containment reference list.
	 * @see com.hammurapi.review.ReviewPackage#getModule_Source()
	 * @model containment="true" required="true"
	 * @generated
	 */
	EList<Factory> getSource();

	/**
	 * Returns the value of the '<em><b>Class Path</b></em>' containment reference list.
	 * The list contents are of type {@link com.hammurapi.config.Path}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Class Path</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Class Path</em>' containment reference list.
	 * @see com.hammurapi.review.ReviewPackage#getModule_ClassPath()
	 * @model containment="true"
	 * @generated
	 */
	EList<Path> getClassPath();

	/**
	 * Returns the value of the '<em><b>Model</b></em>' attribute list.
	 * The list contents are of type {@link java.lang.Object}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Review driver sets this attribute after instantiation of the model from the source.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Model</em>' attribute list.
	 * @see com.hammurapi.review.ReviewPackage#getModule_Model()
	 * @model
	 * @generated
	 */
	EList<Object> getModel();
	

} // Module
