/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.hammurapi.review;

import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Report</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * Report is the root of results of baseline review.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.hammurapi.review.Report#getObservations <em>Observations</em>}</li>
 *   <li>{@link com.hammurapi.review.Report#getInspectorSets <em>Inspector Sets</em>}</li>
 *   <li>{@link com.hammurapi.review.Report#getBaseline <em>Baseline</em>}</li>
 *   <li>{@link com.hammurapi.review.Report#getDescription <em>Description</em>}</li>
 *   <li>{@link com.hammurapi.review.Report#getName <em>Name</em>}</li>
 *   <li>{@link com.hammurapi.review.Report#getTimestamp <em>Timestamp</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.hammurapi.review.ReviewPackage#getReport()
 * @model
 * @generated
 */
public interface Report extends EObject {
	/**
	 * Returns the value of the '<em><b>Observations</b></em>' reference.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.Observation#getReport <em>Report</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Observations</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Observations</em>' reference.
	 * @see #setObservations(Observation)
	 * @see com.hammurapi.review.ReviewPackage#getReport_Observations()
	 * @see com.hammurapi.review.Observation#getReport
	 * @model opposite="report"
	 * @generated
	 */
	Observation getObservations();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.Report#getObservations <em>Observations</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Observations</em>' reference.
	 * @see #getObservations()
	 * @generated
	 */
	void setObservations(Observation value);

	/**
	 * Returns the value of the '<em><b>Inspector Sets</b></em>' reference list.
	 * The list contents are of type {@link com.hammurapi.review.InspectorSet}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Inspector Sets</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Inspector Sets</em>' reference list.
	 * @see com.hammurapi.review.ReviewPackage#getReport_InspectorSets()
	 * @model
	 * @generated
	 */
	EList<InspectorSet> getInspectorSets();

	/**
	 * Returns the value of the '<em><b>Baseline</b></em>' container reference.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.Baseline#getReports <em>Reports</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Report is associated with a baseline. One baseline can have multiple associated reports.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Baseline</em>' container reference.
	 * @see #setBaseline(Baseline)
	 * @see com.hammurapi.review.ReviewPackage#getReport_Baseline()
	 * @see com.hammurapi.review.Baseline#getReports
	 * @model opposite="reports" required="true" transient="false"
	 * @generated
	 */
	Baseline getBaseline();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.Report#getBaseline <em>Baseline</em>}' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Baseline</em>' container reference.
	 * @see #getBaseline()
	 * @generated
	 */
	void setBaseline(Baseline value);

	/**
	 * Returns the value of the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Report description
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Description</em>' attribute.
	 * @see #setDescription(String)
	 * @see com.hammurapi.review.ReviewPackage#getReport_Description()
	 * @model
	 * @generated
	 */
	String getDescription();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.Report#getDescription <em>Description</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Description</em>' attribute.
	 * @see #getDescription()
	 * @generated
	 */
	void setDescription(String value);

	/**
	 * Returns the value of the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Name</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Name</em>' attribute.
	 * @see #setName(String)
	 * @see com.hammurapi.review.ReviewPackage#getReport_Name()
	 * @model
	 * @generated
	 */
	String getName();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.Report#getName <em>Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Name</em>' attribute.
	 * @see #getName()
	 * @generated
	 */
	void setName(String value);

	/**
	 * Returns the value of the '<em><b>Timestamp</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Timestamp</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Timestamp</em>' attribute.
	 * @see #setTimestamp(String)
	 * @see com.hammurapi.review.ReviewPackage#getReport_Timestamp()
	 * @model
	 * @generated
	 */
	String getTimestamp();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.Report#getTimestamp <em>Timestamp</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Timestamp</em>' attribute.
	 * @see #getTimestamp()
	 * @generated
	 */
	void setTimestamp(String value);

} // Report
