/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.hammurapi.review;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import com.hammurapi.config.ConfigPackage;
import com.hammurapi.party.PartyPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * Foundation review classes and interfaces. 
 * <!-- end-model-doc -->
 * @see com.hammurapi.review.ReviewFactory
 * @model kind="package"
 * @generated
 */
public interface ReviewPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "review";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.hammurapi.com/review";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "com.hammurapi.review";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	ReviewPackage eINSTANCE = com.hammurapi.review.impl.ReviewPackageImpl.init();

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.ObservationImpl <em>Observation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.ObservationImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getObservation()
	 * @generated
	 */
	int OBSERVATION = 0;

	/**
	 * The feature id for the '<em><b>Source</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBSERVATION__SOURCE = 0;

	/**
	 * The feature id for the '<em><b>Report</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBSERVATION__REPORT = 1;

	/**
	 * The feature id for the '<em><b>Reported By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBSERVATION__REPORTED_BY = 2;

	/**
	 * The number of structural features of the '<em>Observation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBSERVATION_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.ViolationImpl <em>Violation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.ViolationImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getViolation()
	 * @generated
	 */
	int VIOLATION = 1;

	/**
	 * The feature id for the '<em><b>Source</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VIOLATION__SOURCE = OBSERVATION__SOURCE;

	/**
	 * The feature id for the '<em><b>Report</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VIOLATION__REPORT = OBSERVATION__REPORT;

	/**
	 * The feature id for the '<em><b>Reported By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VIOLATION__REPORTED_BY = OBSERVATION__REPORTED_BY;

	/**
	 * The feature id for the '<em><b>Message</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VIOLATION__MESSAGE = OBSERVATION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Violation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VIOLATION_FEATURE_COUNT = OBSERVATION_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.WarningImpl <em>Warning</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.WarningImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getWarning()
	 * @generated
	 */
	int WARNING = 2;

	/**
	 * The feature id for the '<em><b>Source</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WARNING__SOURCE = OBSERVATION__SOURCE;

	/**
	 * The feature id for the '<em><b>Report</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WARNING__REPORT = OBSERVATION__REPORT;

	/**
	 * The feature id for the '<em><b>Reported By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WARNING__REPORTED_BY = OBSERVATION__REPORTED_BY;

	/**
	 * The feature id for the '<em><b>Cause</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WARNING__CAUSE = OBSERVATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Message</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WARNING__MESSAGE = OBSERVATION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Warning</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WARNING_FEATURE_COUNT = OBSERVATION_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.MeasurementImpl <em>Measurement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.MeasurementImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getMeasurement()
	 * @generated
	 */
	int MEASUREMENT = 3;

	/**
	 * The feature id for the '<em><b>Source</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEASUREMENT__SOURCE = OBSERVATION__SOURCE;

	/**
	 * The feature id for the '<em><b>Report</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEASUREMENT__REPORT = OBSERVATION__REPORT;

	/**
	 * The feature id for the '<em><b>Reported By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEASUREMENT__REPORTED_BY = OBSERVATION__REPORTED_BY;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEASUREMENT__NAME = OBSERVATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEASUREMENT__VALUE = OBSERVATION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Measurement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEASUREMENT_FEATURE_COUNT = OBSERVATION_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.AnnotationImpl <em>Annotation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.AnnotationImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getAnnotation()
	 * @generated
	 */
	int ANNOTATION = 4;

	/**
	 * The feature id for the '<em><b>Source</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANNOTATION__SOURCE = OBSERVATION__SOURCE;

	/**
	 * The feature id for the '<em><b>Report</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANNOTATION__REPORT = OBSERVATION__REPORT;

	/**
	 * The feature id for the '<em><b>Reported By</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANNOTATION__REPORTED_BY = OBSERVATION__REPORTED_BY;

	/**
	 * The number of structural features of the '<em>Annotation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANNOTATION_FEATURE_COUNT = OBSERVATION_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.RepositoryImpl <em>Repository</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.RepositoryImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getRepository()
	 * @generated
	 */
	int REPOSITORY = 5;

	/**
	 * The feature id for the '<em><b>Baselines</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPOSITORY__BASELINES = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPOSITORY__NAME = 1;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPOSITORY__DESCRIPTION = 2;

	/**
	 * The number of structural features of the '<em>Repository</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPOSITORY_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.LanguageElement <em>Language Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.LanguageElement
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getLanguageElement()
	 * @generated
	 */
	int LANGUAGE_ELEMENT = 14;

	/**
	 * The feature id for the '<em><b>Observations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LANGUAGE_ELEMENT__OBSERVATIONS = 0;

	/**
	 * The number of structural features of the '<em>Language Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LANGUAGE_ELEMENT_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.Revision <em>Revision</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.Revision
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getRevision()
	 * @generated
	 */
	int REVISION = 6;

	/**
	 * The feature id for the '<em><b>Observations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REVISION__OBSERVATIONS = LANGUAGE_ELEMENT__OBSERVATIONS;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REVISION__NAME = LANGUAGE_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REVISION__SIZE = LANGUAGE_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Checksum</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REVISION__CHECKSUM = LANGUAGE_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Timestamp</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REVISION__TIMESTAMP = LANGUAGE_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Checksum Algorithm</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REVISION__CHECKSUM_ALGORITHM = LANGUAGE_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Revision</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REVISION_FEATURE_COUNT = LANGUAGE_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.BaselineImpl <em>Baseline</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.BaselineImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getBaseline()
	 * @generated
	 */
	int BASELINE = 7;

	/**
	 * The feature id for the '<em><b>Roots</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASELINE__ROOTS = 0;

	/**
	 * The feature id for the '<em><b>Timestamp</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASELINE__TIMESTAMP = 1;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASELINE__DESCRIPTION = 2;

	/**
	 * The feature id for the '<em><b>Reports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASELINE__REPORTS = 3;

	/**
	 * The number of structural features of the '<em>Baseline</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASELINE_FEATURE_COUNT = 4;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.ReportImpl <em>Report</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.ReportImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getReport()
	 * @generated
	 */
	int REPORT = 8;

	/**
	 * The feature id for the '<em><b>Observations</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPORT__OBSERVATIONS = 0;

	/**
	 * The feature id for the '<em><b>Inspector Sets</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPORT__INSPECTOR_SETS = 1;

	/**
	 * The feature id for the '<em><b>Baseline</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPORT__BASELINE = 2;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPORT__DESCRIPTION = 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPORT__NAME = 4;

	/**
	 * The feature id for the '<em><b>Timestamp</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPORT__TIMESTAMP = 5;

	/**
	 * The number of structural features of the '<em>Report</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPORT_FEATURE_COUNT = 6;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.Governor <em>Governor</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.Governor
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getGovernor()
	 * @generated
	 */
	int GOVERNOR = 21;

	/**
	 * The feature id for the '<em><b>Roles</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__ROLES = ConfigPackage.NAMED_OBJECT_DEFINITION__ROLES;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__DESCRIPTION = ConfigPackage.NAMED_OBJECT_DEFINITION__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Config Script</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__CONFIG_SCRIPT = ConfigPackage.NAMED_OBJECT_DEFINITION__CONFIG_SCRIPT;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__ID = ConfigPackage.NAMED_OBJECT_DEFINITION__ID;

	/**
	 * The feature id for the '<em><b>Source</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__SOURCE = ConfigPackage.NAMED_OBJECT_DEFINITION__SOURCE;

	/**
	 * The feature id for the '<em><b>Enabled</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__ENABLED = ConfigPackage.NAMED_OBJECT_DEFINITION__ENABLED;

	/**
	 * The feature id for the '<em><b>Service</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__SERVICE = ConfigPackage.NAMED_OBJECT_DEFINITION__SERVICE;

	/**
	 * The feature id for the '<em><b>Supported Execution Environments</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__SUPPORTED_EXECUTION_ENVIRONMENTS = ConfigPackage.NAMED_OBJECT_DEFINITION__SUPPORTED_EXECUTION_ENVIRONMENTS;

	/**
	 * The feature id for the '<em><b>Home Page</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__HOME_PAGE = ConfigPackage.NAMED_OBJECT_DEFINITION__HOME_PAGE;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__NAME = ConfigPackage.NAMED_OBJECT_DEFINITION__NAME;

	/**
	 * The feature id for the '<em><b>Runtime</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__RUNTIME = ConfigPackage.NAMED_OBJECT_DEFINITION__RUNTIME;

	/**
	 * The feature id for the '<em><b>Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__PROPERTY = ConfigPackage.NAMED_OBJECT_DEFINITION__PROPERTY;

	/**
	 * The feature id for the '<em><b>Profile</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__PROFILE = ConfigPackage.NAMED_OBJECT_DEFINITION__PROFILE;

	/**
	 * The feature id for the '<em><b>Class Path</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__CLASS_PATH = ConfigPackage.NAMED_OBJECT_DEFINITION__CLASS_PATH;

	/**
	 * The feature id for the '<em><b>Constructor</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__CONSTRUCTOR = ConfigPackage.NAMED_OBJECT_DEFINITION__CONSTRUCTOR;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__VALUE = ConfigPackage.NAMED_OBJECT_DEFINITION__VALUE;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__TYPE = ConfigPackage.NAMED_OBJECT_DEFINITION__TYPE;

	/**
	 * The feature id for the '<em><b>Language Modules</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__LANGUAGE_MODULES = ConfigPackage.NAMED_OBJECT_DEFINITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Enforced By</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR__ENFORCED_BY = ConfigPackage.NAMED_OBJECT_DEFINITION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Governor</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNOR_FEATURE_COUNT = ConfigPackage.NAMED_OBJECT_DEFINITION_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.InspectorSetImpl <em>Inspector Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.InspectorSetImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getInspectorSet()
	 * @generated
	 */
	int INSPECTOR_SET = 9;

	/**
	 * The feature id for the '<em><b>Roles</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__ROLES = GOVERNOR__ROLES;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__DESCRIPTION = GOVERNOR__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Config Script</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__CONFIG_SCRIPT = GOVERNOR__CONFIG_SCRIPT;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__ID = GOVERNOR__ID;

	/**
	 * The feature id for the '<em><b>Source</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__SOURCE = GOVERNOR__SOURCE;

	/**
	 * The feature id for the '<em><b>Enabled</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__ENABLED = GOVERNOR__ENABLED;

	/**
	 * The feature id for the '<em><b>Service</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__SERVICE = GOVERNOR__SERVICE;

	/**
	 * The feature id for the '<em><b>Supported Execution Environments</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__SUPPORTED_EXECUTION_ENVIRONMENTS = GOVERNOR__SUPPORTED_EXECUTION_ENVIRONMENTS;

	/**
	 * The feature id for the '<em><b>Home Page</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__HOME_PAGE = GOVERNOR__HOME_PAGE;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__NAME = GOVERNOR__NAME;

	/**
	 * The feature id for the '<em><b>Runtime</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__RUNTIME = GOVERNOR__RUNTIME;

	/**
	 * The feature id for the '<em><b>Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__PROPERTY = GOVERNOR__PROPERTY;

	/**
	 * The feature id for the '<em><b>Profile</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__PROFILE = GOVERNOR__PROFILE;

	/**
	 * The feature id for the '<em><b>Class Path</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__CLASS_PATH = GOVERNOR__CLASS_PATH;

	/**
	 * The feature id for the '<em><b>Constructor</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__CONSTRUCTOR = GOVERNOR__CONSTRUCTOR;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__VALUE = GOVERNOR__VALUE;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__TYPE = GOVERNOR__TYPE;

	/**
	 * The feature id for the '<em><b>Language Modules</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__LANGUAGE_MODULES = GOVERNOR__LANGUAGE_MODULES;

	/**
	 * The feature id for the '<em><b>Enforced By</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__ENFORCED_BY = GOVERNOR__ENFORCED_BY;

	/**
	 * The feature id for the '<em><b>Inspectors</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__INSPECTORS = GOVERNOR_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Categories</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__CATEGORIES = GOVERNOR_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Base</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__BASE = GOVERNOR_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Version</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__VERSION = GOVERNOR_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Included Inspectors</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET__INCLUDED_INSPECTORS = GOVERNOR_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Inspector Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_SET_FEATURE_COUNT = GOVERNOR_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.InspectorImpl <em>Inspector</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.InspectorImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getInspector()
	 * @generated
	 */
	int INSPECTOR = 10;

	/**
	 * The feature id for the '<em><b>Roles</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__ROLES = GOVERNOR__ROLES;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__DESCRIPTION = GOVERNOR__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Config Script</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__CONFIG_SCRIPT = GOVERNOR__CONFIG_SCRIPT;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__ID = GOVERNOR__ID;

	/**
	 * The feature id for the '<em><b>Source</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__SOURCE = GOVERNOR__SOURCE;

	/**
	 * The feature id for the '<em><b>Enabled</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__ENABLED = GOVERNOR__ENABLED;

	/**
	 * The feature id for the '<em><b>Service</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__SERVICE = GOVERNOR__SERVICE;

	/**
	 * The feature id for the '<em><b>Supported Execution Environments</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__SUPPORTED_EXECUTION_ENVIRONMENTS = GOVERNOR__SUPPORTED_EXECUTION_ENVIRONMENTS;

	/**
	 * The feature id for the '<em><b>Home Page</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__HOME_PAGE = GOVERNOR__HOME_PAGE;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__NAME = GOVERNOR__NAME;

	/**
	 * The feature id for the '<em><b>Runtime</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__RUNTIME = GOVERNOR__RUNTIME;

	/**
	 * The feature id for the '<em><b>Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__PROPERTY = GOVERNOR__PROPERTY;

	/**
	 * The feature id for the '<em><b>Profile</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__PROFILE = GOVERNOR__PROFILE;

	/**
	 * The feature id for the '<em><b>Class Path</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__CLASS_PATH = GOVERNOR__CLASS_PATH;

	/**
	 * The feature id for the '<em><b>Constructor</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__CONSTRUCTOR = GOVERNOR__CONSTRUCTOR;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__VALUE = GOVERNOR__VALUE;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__TYPE = GOVERNOR__TYPE;

	/**
	 * The feature id for the '<em><b>Language Modules</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__LANGUAGE_MODULES = GOVERNOR__LANGUAGE_MODULES;

	/**
	 * The feature id for the '<em><b>Enforced By</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__ENFORCED_BY = GOVERNOR__ENFORCED_BY;

	/**
	 * The feature id for the '<em><b>Category</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__CATEGORY = GOVERNOR_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Uid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__UID = GOVERNOR_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Severity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__SEVERITY = GOVERNOR_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Message Template</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__MESSAGE_TEMPLATE = GOVERNOR_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Inspector Set</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__INSPECTOR_SET = GOVERNOR_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Outbound Relationships</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__OUTBOUND_RELATIONSHIPS = GOVERNOR_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Inbound Relationships</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR__INBOUND_RELATIONSHIPS = GOVERNOR_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Inspector</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_FEATURE_COUNT = GOVERNOR_FEATURE_COUNT + 7;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.GovernanaceObject <em>Governanace Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.GovernanaceObject
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getGovernanaceObject()
	 * @generated
	 */
	int GOVERNANACE_OBJECT = 20;

	/**
	 * The feature id for the '<em><b>Roles</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANACE_OBJECT__ROLES = PartyPackage.COMMON_OBJECT__ROLES;

	/**
	 * The feature id for the '<em><b>Uid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANACE_OBJECT__UID = PartyPackage.COMMON_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANACE_OBJECT__NAME = PartyPackage.COMMON_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANACE_OBJECT__DESCRIPTION = PartyPackage.COMMON_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>References</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANACE_OBJECT__REFERENCES = PartyPackage.COMMON_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Home Page</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANACE_OBJECT__HOME_PAGE = PartyPackage.COMMON_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Governanace Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANACE_OBJECT_FEATURE_COUNT = PartyPackage.COMMON_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.InspectorCategoryImpl <em>Inspector Category</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.InspectorCategoryImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getInspectorCategory()
	 * @generated
	 */
	int INSPECTOR_CATEGORY = 11;

	/**
	 * The feature id for the '<em><b>Roles</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_CATEGORY__ROLES = GOVERNANACE_OBJECT__ROLES;

	/**
	 * The feature id for the '<em><b>Uid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_CATEGORY__UID = GOVERNANACE_OBJECT__UID;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_CATEGORY__NAME = GOVERNANACE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_CATEGORY__DESCRIPTION = GOVERNANACE_OBJECT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>References</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_CATEGORY__REFERENCES = GOVERNANACE_OBJECT__REFERENCES;

	/**
	 * The feature id for the '<em><b>Home Page</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_CATEGORY__HOME_PAGE = GOVERNANACE_OBJECT__HOME_PAGE;

	/**
	 * The feature id for the '<em><b>Sub Category</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_CATEGORY__SUB_CATEGORY = GOVERNANACE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Parent Category</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_CATEGORY__PARENT_CATEGORY = GOVERNANACE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>External Parent</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_CATEGORY__EXTERNAL_PARENT = GOVERNANACE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Governed By</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_CATEGORY__GOVERNED_BY = GOVERNANACE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Inspectors</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_CATEGORY__INSPECTORS = GOVERNANACE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Inspector Category</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_CATEGORY_FEATURE_COUNT = GOVERNANACE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.ComponentImpl <em>Component</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.ComponentImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getComponent()
	 * @generated
	 */
	int COMPONENT = 12;

	/**
	 * The feature id for the '<em><b>Roles</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__ROLES = ConfigPackage.OBJECT_DEFINITION__ROLES;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__DESCRIPTION = ConfigPackage.OBJECT_DEFINITION__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Config Script</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__CONFIG_SCRIPT = ConfigPackage.OBJECT_DEFINITION__CONFIG_SCRIPT;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__ID = ConfigPackage.OBJECT_DEFINITION__ID;

	/**
	 * The feature id for the '<em><b>Source</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__SOURCE = ConfigPackage.OBJECT_DEFINITION__SOURCE;

	/**
	 * The feature id for the '<em><b>Enabled</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__ENABLED = ConfigPackage.OBJECT_DEFINITION__ENABLED;

	/**
	 * The feature id for the '<em><b>Service</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__SERVICE = ConfigPackage.OBJECT_DEFINITION__SERVICE;

	/**
	 * The feature id for the '<em><b>Supported Execution Environments</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__SUPPORTED_EXECUTION_ENVIRONMENTS = ConfigPackage.OBJECT_DEFINITION__SUPPORTED_EXECUTION_ENVIRONMENTS;

	/**
	 * The feature id for the '<em><b>Home Page</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__HOME_PAGE = ConfigPackage.OBJECT_DEFINITION__HOME_PAGE;

	/**
	 * The feature id for the '<em><b>Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__PROPERTY = ConfigPackage.OBJECT_DEFINITION__PROPERTY;

	/**
	 * The feature id for the '<em><b>Profile</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__PROFILE = ConfigPackage.OBJECT_DEFINITION__PROFILE;

	/**
	 * The feature id for the '<em><b>Class Path</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__CLASS_PATH = ConfigPackage.OBJECT_DEFINITION__CLASS_PATH;

	/**
	 * The feature id for the '<em><b>Constructor</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__CONSTRUCTOR = ConfigPackage.OBJECT_DEFINITION__CONSTRUCTOR;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__VALUE = ConfigPackage.OBJECT_DEFINITION__VALUE;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__TYPE = ConfigPackage.OBJECT_DEFINITION__TYPE;

	/**
	 * The feature id for the '<em><b>Module</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__MODULE = ConfigPackage.OBJECT_DEFINITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__NAME = ConfigPackage.OBJECT_DEFINITION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Reporter</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__REPORTER = ConfigPackage.OBJECT_DEFINITION_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Waivers</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__WAIVERS = ConfigPackage.OBJECT_DEFINITION_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Component</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_FEATURE_COUNT = ConfigPackage.OBJECT_DEFINITION_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.ModuleImpl <em>Module</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.ModuleImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getModule()
	 * @generated
	 */
	int MODULE = 13;

	/**
	 * The feature id for the '<em><b>Inspector Set</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE__INSPECTOR_SET = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE__NAME = 1;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE__DESCRIPTION = 2;

	/**
	 * The feature id for the '<em><b>Source</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE__SOURCE = 3;

	/**
	 * The feature id for the '<em><b>Class Path</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE__CLASS_PATH = 4;

	/**
	 * The feature id for the '<em><b>Model</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE__MODEL = 5;

	/**
	 * The number of structural features of the '<em>Module</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_FEATURE_COUNT = 6;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.WaiverImpl <em>Waiver</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.WaiverImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getWaiver()
	 * @generated
	 */
	int WAIVER = 15;

	/**
	 * The feature id for the '<em><b>Signature</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIVER__SIGNATURE = 0;

	/**
	 * The feature id for the '<em><b>Inspector</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIVER__INSPECTOR = 1;

	/**
	 * The feature id for the '<em><b>Expiration Time</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIVER__EXPIRATION_TIME = 2;

	/**
	 * The feature id for the '<em><b>Comment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIVER__COMMENT = 3;

	/**
	 * The number of structural features of the '<em>Waiver</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIVER_FEATURE_COUNT = 4;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.GovernanceDomainImpl <em>Governance Domain</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.GovernanceDomainImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getGovernanceDomain()
	 * @generated
	 */
	int GOVERNANCE_DOMAIN = 16;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANCE_DOMAIN__TAGS = PartyPackage.ORGANIZATION__TAGS;

	/**
	 * The feature id for the '<em><b>Comment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANCE_DOMAIN__COMMENT = PartyPackage.ORGANIZATION__COMMENT;

	/**
	 * The feature id for the '<em><b>Contact Info</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANCE_DOMAIN__CONTACT_INFO = PartyPackage.ORGANIZATION__CONTACT_INFO;

	/**
	 * The feature id for the '<em><b>Identity</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANCE_DOMAIN__IDENTITY = PartyPackage.ORGANIZATION__IDENTITY;

	/**
	 * The feature id for the '<em><b>Parent</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANCE_DOMAIN__PARENT = PartyPackage.ORGANIZATION__PARENT;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANCE_DOMAIN__NAME = PartyPackage.ORGANIZATION__NAME;

	/**
	 * The feature id for the '<em><b>Uid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANCE_DOMAIN__UID = PartyPackage.ORGANIZATION__UID;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANCE_DOMAIN__CHILDREN = PartyPackage.ORGANIZATION__CHILDREN;

	/**
	 * The feature id for the '<em><b>External Children</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANCE_DOMAIN__EXTERNAL_CHILDREN = PartyPackage.ORGANIZATION__EXTERNAL_CHILDREN;

	/**
	 * The feature id for the '<em><b>Organization Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANCE_DOMAIN__ORGANIZATION_TYPE = PartyPackage.ORGANIZATION__ORGANIZATION_TYPE;

	/**
	 * The feature id for the '<em><b>Matrixed Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANCE_DOMAIN__MATRIXED_CHILDREN = PartyPackage.ORGANIZATION__MATRIXED_CHILDREN;

	/**
	 * The feature id for the '<em><b>Categories</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANCE_DOMAIN__CATEGORIES = PartyPackage.ORGANIZATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Tools</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANCE_DOMAIN__TOOLS = PartyPackage.ORGANIZATION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Governance Domain</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GOVERNANCE_DOMAIN_FEATURE_COUNT = PartyPackage.ORGANIZATION_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.ArtifactTypeImpl <em>Artifact Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.ArtifactTypeImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getArtifactType()
	 * @generated
	 */
	int ARTIFACT_TYPE = 17;

	/**
	 * The feature id for the '<em><b>Roles</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARTIFACT_TYPE__ROLES = INSPECTOR_CATEGORY__ROLES;

	/**
	 * The feature id for the '<em><b>Uid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARTIFACT_TYPE__UID = INSPECTOR_CATEGORY__UID;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARTIFACT_TYPE__NAME = INSPECTOR_CATEGORY__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARTIFACT_TYPE__DESCRIPTION = INSPECTOR_CATEGORY__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>References</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARTIFACT_TYPE__REFERENCES = INSPECTOR_CATEGORY__REFERENCES;

	/**
	 * The feature id for the '<em><b>Home Page</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARTIFACT_TYPE__HOME_PAGE = INSPECTOR_CATEGORY__HOME_PAGE;

	/**
	 * The feature id for the '<em><b>Sub Category</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARTIFACT_TYPE__SUB_CATEGORY = INSPECTOR_CATEGORY__SUB_CATEGORY;

	/**
	 * The feature id for the '<em><b>Parent Category</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARTIFACT_TYPE__PARENT_CATEGORY = INSPECTOR_CATEGORY__PARENT_CATEGORY;

	/**
	 * The feature id for the '<em><b>External Parent</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARTIFACT_TYPE__EXTERNAL_PARENT = INSPECTOR_CATEGORY__EXTERNAL_PARENT;

	/**
	 * The feature id for the '<em><b>Governed By</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARTIFACT_TYPE__GOVERNED_BY = INSPECTOR_CATEGORY__GOVERNED_BY;

	/**
	 * The feature id for the '<em><b>Inspectors</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARTIFACT_TYPE__INSPECTORS = INSPECTOR_CATEGORY__INSPECTORS;

	/**
	 * The feature id for the '<em><b>Language Modules</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARTIFACT_TYPE__LANGUAGE_MODULES = INSPECTOR_CATEGORY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Artifact Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARTIFACT_TYPE_FEATURE_COUNT = INSPECTOR_CATEGORY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.ToolImpl <em>Tool</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.ToolImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getTool()
	 * @generated
	 */
	int TOOL = 18;

	/**
	 * The feature id for the '<em><b>Roles</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL__ROLES = GOVERNANACE_OBJECT__ROLES;

	/**
	 * The feature id for the '<em><b>Uid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL__UID = GOVERNANACE_OBJECT__UID;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL__NAME = GOVERNANACE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL__DESCRIPTION = GOVERNANACE_OBJECT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>References</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL__REFERENCES = GOVERNANACE_OBJECT__REFERENCES;

	/**
	 * The feature id for the '<em><b>Home Page</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL__HOME_PAGE = GOVERNANACE_OBJECT__HOME_PAGE;

	/**
	 * The feature id for the '<em><b>Identity</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL__IDENTITY = GOVERNANACE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Versions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL__VERSIONS = GOVERNANACE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Tool</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL_FEATURE_COUNT = GOVERNANACE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.ToolVersionImpl <em>Tool Version</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.ToolVersionImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getToolVersion()
	 * @generated
	 */
	int TOOL_VERSION = 19;

	/**
	 * The feature id for the '<em><b>Roles</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL_VERSION__ROLES = GOVERNANACE_OBJECT__ROLES;

	/**
	 * The feature id for the '<em><b>Uid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL_VERSION__UID = GOVERNANACE_OBJECT__UID;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL_VERSION__NAME = GOVERNANACE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL_VERSION__DESCRIPTION = GOVERNANACE_OBJECT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>References</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL_VERSION__REFERENCES = GOVERNANACE_OBJECT__REFERENCES;

	/**
	 * The feature id for the '<em><b>Home Page</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL_VERSION__HOME_PAGE = GOVERNANACE_OBJECT__HOME_PAGE;

	/**
	 * The feature id for the '<em><b>Identity</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL_VERSION__IDENTITY = GOVERNANACE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Governs</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL_VERSION__GOVERNS = GOVERNANACE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Enforces</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL_VERSION__ENFORCES = GOVERNANACE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Tool</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL_VERSION__TOOL = GOVERNANACE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Tool Version</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOL_VERSION_FEATURE_COUNT = GOVERNANACE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link com.hammurapi.review.impl.InspectorRelationshipImpl <em>Inspector Relationship</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.hammurapi.review.impl.InspectorRelationshipImpl
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getInspectorRelationship()
	 * @generated
	 */
	int INSPECTOR_RELATIONSHIP = 22;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_RELATIONSHIP__DESCRIPTION = 0;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_RELATIONSHIP__TARGET = 1;

	/**
	 * The feature id for the '<em><b>Source</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_RELATIONSHIP__SOURCE = 2;

	/**
	 * The number of structural features of the '<em>Inspector Relationship</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INSPECTOR_RELATIONSHIP_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '<em>EException</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.Exception
	 * @see com.hammurapi.review.impl.ReviewPackageImpl#getEException()
	 * @generated
	 */
	int EEXCEPTION = 23;


	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.Observation <em>Observation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Observation</em>'.
	 * @see com.hammurapi.review.Observation
	 * @generated
	 */
	EClass getObservation();

	/**
	 * Returns the meta object for the container reference '{@link com.hammurapi.review.Observation#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Source</em>'.
	 * @see com.hammurapi.review.Observation#getSource()
	 * @see #getObservation()
	 * @generated
	 */
	EReference getObservation_Source();

	/**
	 * Returns the meta object for the reference '{@link com.hammurapi.review.Observation#getReport <em>Report</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Report</em>'.
	 * @see com.hammurapi.review.Observation#getReport()
	 * @see #getObservation()
	 * @generated
	 */
	EReference getObservation_Report();

	/**
	 * Returns the meta object for the reference '{@link com.hammurapi.review.Observation#getReportedBy <em>Reported By</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reported By</em>'.
	 * @see com.hammurapi.review.Observation#getReportedBy()
	 * @see #getObservation()
	 * @generated
	 */
	EReference getObservation_ReportedBy();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.Violation <em>Violation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Violation</em>'.
	 * @see com.hammurapi.review.Violation
	 * @generated
	 */
	EClass getViolation();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Violation#getMessage <em>Message</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Message</em>'.
	 * @see com.hammurapi.review.Violation#getMessage()
	 * @see #getViolation()
	 * @generated
	 */
	EAttribute getViolation_Message();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.Warning <em>Warning</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Warning</em>'.
	 * @see com.hammurapi.review.Warning
	 * @generated
	 */
	EClass getWarning();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Warning#getCause <em>Cause</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Cause</em>'.
	 * @see com.hammurapi.review.Warning#getCause()
	 * @see #getWarning()
	 * @generated
	 */
	EAttribute getWarning_Cause();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Warning#getMessage <em>Message</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Message</em>'.
	 * @see com.hammurapi.review.Warning#getMessage()
	 * @see #getWarning()
	 * @generated
	 */
	EAttribute getWarning_Message();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.Measurement <em>Measurement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Measurement</em>'.
	 * @see com.hammurapi.review.Measurement
	 * @generated
	 */
	EClass getMeasurement();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Measurement#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see com.hammurapi.review.Measurement#getName()
	 * @see #getMeasurement()
	 * @generated
	 */
	EAttribute getMeasurement_Name();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Measurement#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see com.hammurapi.review.Measurement#getValue()
	 * @see #getMeasurement()
	 * @generated
	 */
	EAttribute getMeasurement_Value();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.Annotation <em>Annotation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Annotation</em>'.
	 * @see com.hammurapi.review.Annotation
	 * @generated
	 */
	EClass getAnnotation();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.Repository <em>Repository</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Repository</em>'.
	 * @see com.hammurapi.review.Repository
	 * @generated
	 */
	EClass getRepository();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.Repository#getBaselines <em>Baselines</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Baselines</em>'.
	 * @see com.hammurapi.review.Repository#getBaselines()
	 * @see #getRepository()
	 * @generated
	 */
	EReference getRepository_Baselines();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Repository#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see com.hammurapi.review.Repository#getName()
	 * @see #getRepository()
	 * @generated
	 */
	EAttribute getRepository_Name();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Repository#getDescription <em>Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Description</em>'.
	 * @see com.hammurapi.review.Repository#getDescription()
	 * @see #getRepository()
	 * @generated
	 */
	EAttribute getRepository_Description();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.Revision <em>Revision</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Revision</em>'.
	 * @see com.hammurapi.review.Revision
	 * @generated
	 */
	EClass getRevision();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Revision#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see com.hammurapi.review.Revision#getName()
	 * @see #getRevision()
	 * @generated
	 */
	EAttribute getRevision_Name();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Revision#getSize <em>Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Size</em>'.
	 * @see com.hammurapi.review.Revision#getSize()
	 * @see #getRevision()
	 * @generated
	 */
	EAttribute getRevision_Size();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Revision#getChecksum <em>Checksum</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Checksum</em>'.
	 * @see com.hammurapi.review.Revision#getChecksum()
	 * @see #getRevision()
	 * @generated
	 */
	EAttribute getRevision_Checksum();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Revision#getTimestamp <em>Timestamp</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Timestamp</em>'.
	 * @see com.hammurapi.review.Revision#getTimestamp()
	 * @see #getRevision()
	 * @generated
	 */
	EAttribute getRevision_Timestamp();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Revision#getChecksumAlgorithm <em>Checksum Algorithm</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Checksum Algorithm</em>'.
	 * @see com.hammurapi.review.Revision#getChecksumAlgorithm()
	 * @see #getRevision()
	 * @generated
	 */
	EAttribute getRevision_ChecksumAlgorithm();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.Baseline <em>Baseline</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Baseline</em>'.
	 * @see com.hammurapi.review.Baseline
	 * @generated
	 */
	EClass getBaseline();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.Baseline#getRoots <em>Roots</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Roots</em>'.
	 * @see com.hammurapi.review.Baseline#getRoots()
	 * @see #getBaseline()
	 * @generated
	 */
	EReference getBaseline_Roots();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Baseline#getTimestamp <em>Timestamp</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Timestamp</em>'.
	 * @see com.hammurapi.review.Baseline#getTimestamp()
	 * @see #getBaseline()
	 * @generated
	 */
	EAttribute getBaseline_Timestamp();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Baseline#getDescription <em>Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Description</em>'.
	 * @see com.hammurapi.review.Baseline#getDescription()
	 * @see #getBaseline()
	 * @generated
	 */
	EAttribute getBaseline_Description();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.Baseline#getReports <em>Reports</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Reports</em>'.
	 * @see com.hammurapi.review.Baseline#getReports()
	 * @see #getBaseline()
	 * @generated
	 */
	EReference getBaseline_Reports();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.Report <em>Report</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Report</em>'.
	 * @see com.hammurapi.review.Report
	 * @generated
	 */
	EClass getReport();

	/**
	 * Returns the meta object for the reference '{@link com.hammurapi.review.Report#getObservations <em>Observations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Observations</em>'.
	 * @see com.hammurapi.review.Report#getObservations()
	 * @see #getReport()
	 * @generated
	 */
	EReference getReport_Observations();

	/**
	 * Returns the meta object for the reference list '{@link com.hammurapi.review.Report#getInspectorSets <em>Inspector Sets</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Inspector Sets</em>'.
	 * @see com.hammurapi.review.Report#getInspectorSets()
	 * @see #getReport()
	 * @generated
	 */
	EReference getReport_InspectorSets();

	/**
	 * Returns the meta object for the container reference '{@link com.hammurapi.review.Report#getBaseline <em>Baseline</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Baseline</em>'.
	 * @see com.hammurapi.review.Report#getBaseline()
	 * @see #getReport()
	 * @generated
	 */
	EReference getReport_Baseline();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Report#getDescription <em>Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Description</em>'.
	 * @see com.hammurapi.review.Report#getDescription()
	 * @see #getReport()
	 * @generated
	 */
	EAttribute getReport_Description();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Report#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see com.hammurapi.review.Report#getName()
	 * @see #getReport()
	 * @generated
	 */
	EAttribute getReport_Name();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Report#getTimestamp <em>Timestamp</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Timestamp</em>'.
	 * @see com.hammurapi.review.Report#getTimestamp()
	 * @see #getReport()
	 * @generated
	 */
	EAttribute getReport_Timestamp();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.InspectorSet <em>Inspector Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Inspector Set</em>'.
	 * @see com.hammurapi.review.InspectorSet
	 * @generated
	 */
	EClass getInspectorSet();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.InspectorSet#getInspectors <em>Inspectors</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Inspectors</em>'.
	 * @see com.hammurapi.review.InspectorSet#getInspectors()
	 * @see #getInspectorSet()
	 * @generated
	 */
	EReference getInspectorSet_Inspectors();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.InspectorSet#getCategories <em>Categories</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Categories</em>'.
	 * @see com.hammurapi.review.InspectorSet#getCategories()
	 * @see #getInspectorSet()
	 * @generated
	 */
	EReference getInspectorSet_Categories();

	/**
	 * Returns the meta object for the reference list '{@link com.hammurapi.review.InspectorSet#getBase <em>Base</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Base</em>'.
	 * @see com.hammurapi.review.InspectorSet#getBase()
	 * @see #getInspectorSet()
	 * @generated
	 */
	EReference getInspectorSet_Base();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.InspectorSet#getVersion <em>Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Version</em>'.
	 * @see com.hammurapi.review.InspectorSet#getVersion()
	 * @see #getInspectorSet()
	 * @generated
	 */
	EAttribute getInspectorSet_Version();

	/**
	 * Returns the meta object for the reference list '{@link com.hammurapi.review.InspectorSet#getIncludedInspectors <em>Included Inspectors</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Included Inspectors</em>'.
	 * @see com.hammurapi.review.InspectorSet#getIncludedInspectors()
	 * @see #getInspectorSet()
	 * @generated
	 */
	EReference getInspectorSet_IncludedInspectors();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.Inspector <em>Inspector</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Inspector</em>'.
	 * @see com.hammurapi.review.Inspector
	 * @generated
	 */
	EClass getInspector();

	/**
	 * Returns the meta object for the reference '{@link com.hammurapi.review.Inspector#getCategory <em>Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Category</em>'.
	 * @see com.hammurapi.review.Inspector#getCategory()
	 * @see #getInspector()
	 * @generated
	 */
	EReference getInspector_Category();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Inspector#getUid <em>Uid</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Uid</em>'.
	 * @see com.hammurapi.review.Inspector#getUid()
	 * @see #getInspector()
	 * @generated
	 */
	EAttribute getInspector_Uid();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Inspector#getSeverity <em>Severity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Severity</em>'.
	 * @see com.hammurapi.review.Inspector#getSeverity()
	 * @see #getInspector()
	 * @generated
	 */
	EAttribute getInspector_Severity();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Inspector#getMessageTemplate <em>Message Template</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Message Template</em>'.
	 * @see com.hammurapi.review.Inspector#getMessageTemplate()
	 * @see #getInspector()
	 * @generated
	 */
	EAttribute getInspector_MessageTemplate();

	/**
	 * Returns the meta object for the container reference '{@link com.hammurapi.review.Inspector#getInspectorSet <em>Inspector Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Inspector Set</em>'.
	 * @see com.hammurapi.review.Inspector#getInspectorSet()
	 * @see #getInspector()
	 * @generated
	 */
	EReference getInspector_InspectorSet();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.Inspector#getOutboundRelationships <em>Outbound Relationships</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Outbound Relationships</em>'.
	 * @see com.hammurapi.review.Inspector#getOutboundRelationships()
	 * @see #getInspector()
	 * @generated
	 */
	EReference getInspector_OutboundRelationships();

	/**
	 * Returns the meta object for the reference list '{@link com.hammurapi.review.Inspector#getInboundRelationships <em>Inbound Relationships</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Inbound Relationships</em>'.
	 * @see com.hammurapi.review.Inspector#getInboundRelationships()
	 * @see #getInspector()
	 * @generated
	 */
	EReference getInspector_InboundRelationships();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.InspectorCategory <em>Inspector Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Inspector Category</em>'.
	 * @see com.hammurapi.review.InspectorCategory
	 * @generated
	 */
	EClass getInspectorCategory();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.InspectorCategory#getSubCategory <em>Sub Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Sub Category</em>'.
	 * @see com.hammurapi.review.InspectorCategory#getSubCategory()
	 * @see #getInspectorCategory()
	 * @generated
	 */
	EReference getInspectorCategory_SubCategory();

	/**
	 * Returns the meta object for the container reference '{@link com.hammurapi.review.InspectorCategory#getParentCategory <em>Parent Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Parent Category</em>'.
	 * @see com.hammurapi.review.InspectorCategory#getParentCategory()
	 * @see #getInspectorCategory()
	 * @generated
	 */
	EReference getInspectorCategory_ParentCategory();

	/**
	 * Returns the meta object for the reference '{@link com.hammurapi.review.InspectorCategory#getExternalParent <em>External Parent</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>External Parent</em>'.
	 * @see com.hammurapi.review.InspectorCategory#getExternalParent()
	 * @see #getInspectorCategory()
	 * @generated
	 */
	EReference getInspectorCategory_ExternalParent();

	/**
	 * Returns the meta object for the reference list '{@link com.hammurapi.review.InspectorCategory#getGovernedBy <em>Governed By</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Governed By</em>'.
	 * @see com.hammurapi.review.InspectorCategory#getGovernedBy()
	 * @see #getInspectorCategory()
	 * @generated
	 */
	EReference getInspectorCategory_GovernedBy();

	/**
	 * Returns the meta object for the reference list '{@link com.hammurapi.review.InspectorCategory#getInspectors <em>Inspectors</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Inspectors</em>'.
	 * @see com.hammurapi.review.InspectorCategory#getInspectors()
	 * @see #getInspectorCategory()
	 * @generated
	 */
	EReference getInspectorCategory_Inspectors();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.Component <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Component</em>'.
	 * @see com.hammurapi.review.Component
	 * @generated
	 */
	EClass getComponent();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.Component#getModule <em>Module</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Module</em>'.
	 * @see com.hammurapi.review.Component#getModule()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Module();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Component#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see com.hammurapi.review.Component#getName()
	 * @see #getComponent()
	 * @generated
	 */
	EAttribute getComponent_Name();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.Component#getReporter <em>Reporter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Reporter</em>'.
	 * @see com.hammurapi.review.Component#getReporter()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Reporter();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.Component#getWaivers <em>Waivers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Waivers</em>'.
	 * @see com.hammurapi.review.Component#getWaivers()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Waivers();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.Module <em>Module</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Module</em>'.
	 * @see com.hammurapi.review.Module
	 * @generated
	 */
	EClass getModule();

	/**
	 * Returns the meta object for the reference list '{@link com.hammurapi.review.Module#getInspectorSet <em>Inspector Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Inspector Set</em>'.
	 * @see com.hammurapi.review.Module#getInspectorSet()
	 * @see #getModule()
	 * @generated
	 */
	EReference getModule_InspectorSet();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Module#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see com.hammurapi.review.Module#getName()
	 * @see #getModule()
	 * @generated
	 */
	EAttribute getModule_Name();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Module#getDescription <em>Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Description</em>'.
	 * @see com.hammurapi.review.Module#getDescription()
	 * @see #getModule()
	 * @generated
	 */
	EAttribute getModule_Description();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.Module#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Source</em>'.
	 * @see com.hammurapi.review.Module#getSource()
	 * @see #getModule()
	 * @generated
	 */
	EReference getModule_Source();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.Module#getClassPath <em>Class Path</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Class Path</em>'.
	 * @see com.hammurapi.review.Module#getClassPath()
	 * @see #getModule()
	 * @generated
	 */
	EReference getModule_ClassPath();

	/**
	 * Returns the meta object for the attribute list '{@link com.hammurapi.review.Module#getModel <em>Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Model</em>'.
	 * @see com.hammurapi.review.Module#getModel()
	 * @see #getModule()
	 * @generated
	 */
	EAttribute getModule_Model();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.LanguageElement <em>Language Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Language Element</em>'.
	 * @see com.hammurapi.review.LanguageElement
	 * @generated
	 */
	EClass getLanguageElement();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.LanguageElement#getObservations <em>Observations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Observations</em>'.
	 * @see com.hammurapi.review.LanguageElement#getObservations()
	 * @see #getLanguageElement()
	 * @generated
	 */
	EReference getLanguageElement_Observations();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.Waiver <em>Waiver</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Waiver</em>'.
	 * @see com.hammurapi.review.Waiver
	 * @generated
	 */
	EClass getWaiver();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Waiver#getSignature <em>Signature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Signature</em>'.
	 * @see com.hammurapi.review.Waiver#getSignature()
	 * @see #getWaiver()
	 * @generated
	 */
	EAttribute getWaiver_Signature();

	/**
	 * Returns the meta object for the reference '{@link com.hammurapi.review.Waiver#getInspector <em>Inspector</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Inspector</em>'.
	 * @see com.hammurapi.review.Waiver#getInspector()
	 * @see #getWaiver()
	 * @generated
	 */
	EReference getWaiver_Inspector();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Waiver#getExpirationTime <em>Expiration Time</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Expiration Time</em>'.
	 * @see com.hammurapi.review.Waiver#getExpirationTime()
	 * @see #getWaiver()
	 * @generated
	 */
	EAttribute getWaiver_ExpirationTime();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.Waiver#getComment <em>Comment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Comment</em>'.
	 * @see com.hammurapi.review.Waiver#getComment()
	 * @see #getWaiver()
	 * @generated
	 */
	EAttribute getWaiver_Comment();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.GovernanceDomain <em>Governance Domain</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Governance Domain</em>'.
	 * @see com.hammurapi.review.GovernanceDomain
	 * @generated
	 */
	EClass getGovernanceDomain();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.GovernanceDomain#getCategories <em>Categories</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Categories</em>'.
	 * @see com.hammurapi.review.GovernanceDomain#getCategories()
	 * @see #getGovernanceDomain()
	 * @generated
	 */
	EReference getGovernanceDomain_Categories();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.GovernanceDomain#getTools <em>Tools</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tools</em>'.
	 * @see com.hammurapi.review.GovernanceDomain#getTools()
	 * @see #getGovernanceDomain()
	 * @generated
	 */
	EReference getGovernanceDomain_Tools();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.ArtifactType <em>Artifact Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Artifact Type</em>'.
	 * @see com.hammurapi.review.ArtifactType
	 * @generated
	 */
	EClass getArtifactType();

	/**
	 * Returns the meta object for the reference list '{@link com.hammurapi.review.ArtifactType#getLanguageModules <em>Language Modules</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Language Modules</em>'.
	 * @see com.hammurapi.review.ArtifactType#getLanguageModules()
	 * @see #getArtifactType()
	 * @generated
	 */
	EReference getArtifactType_LanguageModules();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.Tool <em>Tool</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tool</em>'.
	 * @see com.hammurapi.review.Tool
	 * @generated
	 */
	EClass getTool();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.Tool#getIdentity <em>Identity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Identity</em>'.
	 * @see com.hammurapi.review.Tool#getIdentity()
	 * @see #getTool()
	 * @generated
	 */
	EReference getTool_Identity();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.Tool#getVersions <em>Versions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Versions</em>'.
	 * @see com.hammurapi.review.Tool#getVersions()
	 * @see #getTool()
	 * @generated
	 */
	EReference getTool_Versions();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.ToolVersion <em>Tool Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tool Version</em>'.
	 * @see com.hammurapi.review.ToolVersion
	 * @generated
	 */
	EClass getToolVersion();

	/**
	 * Returns the meta object for the containment reference list '{@link com.hammurapi.review.ToolVersion#getIdentity <em>Identity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Identity</em>'.
	 * @see com.hammurapi.review.ToolVersion#getIdentity()
	 * @see #getToolVersion()
	 * @generated
	 */
	EReference getToolVersion_Identity();

	/**
	 * Returns the meta object for the reference list '{@link com.hammurapi.review.ToolVersion#getGoverns <em>Governs</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Governs</em>'.
	 * @see com.hammurapi.review.ToolVersion#getGoverns()
	 * @see #getToolVersion()
	 * @generated
	 */
	EReference getToolVersion_Governs();

	/**
	 * Returns the meta object for the reference list '{@link com.hammurapi.review.ToolVersion#getEnforces <em>Enforces</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Enforces</em>'.
	 * @see com.hammurapi.review.ToolVersion#getEnforces()
	 * @see #getToolVersion()
	 * @generated
	 */
	EReference getToolVersion_Enforces();

	/**
	 * Returns the meta object for the container reference '{@link com.hammurapi.review.ToolVersion#getTool <em>Tool</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Tool</em>'.
	 * @see com.hammurapi.review.ToolVersion#getTool()
	 * @see #getToolVersion()
	 * @generated
	 */
	EReference getToolVersion_Tool();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.GovernanaceObject <em>Governanace Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Governanace Object</em>'.
	 * @see com.hammurapi.review.GovernanaceObject
	 * @generated
	 */
	EClass getGovernanaceObject();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.GovernanaceObject#getUid <em>Uid</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Uid</em>'.
	 * @see com.hammurapi.review.GovernanaceObject#getUid()
	 * @see #getGovernanaceObject()
	 * @generated
	 */
	EAttribute getGovernanaceObject_Uid();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.GovernanaceObject#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see com.hammurapi.review.GovernanaceObject#getName()
	 * @see #getGovernanaceObject()
	 * @generated
	 */
	EAttribute getGovernanaceObject_Name();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.GovernanaceObject#getDescription <em>Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Description</em>'.
	 * @see com.hammurapi.review.GovernanaceObject#getDescription()
	 * @see #getGovernanaceObject()
	 * @generated
	 */
	EAttribute getGovernanaceObject_Description();

	/**
	 * Returns the meta object for the attribute list '{@link com.hammurapi.review.GovernanaceObject#getReferences <em>References</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>References</em>'.
	 * @see com.hammurapi.review.GovernanaceObject#getReferences()
	 * @see #getGovernanaceObject()
	 * @generated
	 */
	EAttribute getGovernanaceObject_References();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.GovernanaceObject#getHomePage <em>Home Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Home Page</em>'.
	 * @see com.hammurapi.review.GovernanaceObject#getHomePage()
	 * @see #getGovernanaceObject()
	 * @generated
	 */
	EAttribute getGovernanaceObject_HomePage();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.Governor <em>Governor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Governor</em>'.
	 * @see com.hammurapi.review.Governor
	 * @generated
	 */
	EClass getGovernor();

	/**
	 * Returns the meta object for the reference list '{@link com.hammurapi.review.Governor#getLanguageModules <em>Language Modules</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Language Modules</em>'.
	 * @see com.hammurapi.review.Governor#getLanguageModules()
	 * @see #getGovernor()
	 * @generated
	 */
	EReference getGovernor_LanguageModules();

	/**
	 * Returns the meta object for the reference list '{@link com.hammurapi.review.Governor#getEnforcedBy <em>Enforced By</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Enforced By</em>'.
	 * @see com.hammurapi.review.Governor#getEnforcedBy()
	 * @see #getGovernor()
	 * @generated
	 */
	EReference getGovernor_EnforcedBy();

	/**
	 * Returns the meta object for class '{@link com.hammurapi.review.InspectorRelationship <em>Inspector Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Inspector Relationship</em>'.
	 * @see com.hammurapi.review.InspectorRelationship
	 * @generated
	 */
	EClass getInspectorRelationship();

	/**
	 * Returns the meta object for the attribute '{@link com.hammurapi.review.InspectorRelationship#getDescription <em>Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Description</em>'.
	 * @see com.hammurapi.review.InspectorRelationship#getDescription()
	 * @see #getInspectorRelationship()
	 * @generated
	 */
	EAttribute getInspectorRelationship_Description();

	/**
	 * Returns the meta object for the reference '{@link com.hammurapi.review.InspectorRelationship#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Target</em>'.
	 * @see com.hammurapi.review.InspectorRelationship#getTarget()
	 * @see #getInspectorRelationship()
	 * @generated
	 */
	EReference getInspectorRelationship_Target();

	/**
	 * Returns the meta object for the container reference '{@link com.hammurapi.review.InspectorRelationship#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Source</em>'.
	 * @see com.hammurapi.review.InspectorRelationship#getSource()
	 * @see #getInspectorRelationship()
	 * @generated
	 */
	EReference getInspectorRelationship_Source();

	/**
	 * Returns the meta object for data type '{@link java.lang.Exception <em>EException</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>EException</em>'.
	 * @see java.lang.Exception
	 * @model instanceClass="java.lang.Exception"
	 * @generated
	 */
	EDataType getEException();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	ReviewFactory getReviewFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.ObservationImpl <em>Observation</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.ObservationImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getObservation()
		 * @generated
		 */
		EClass OBSERVATION = eINSTANCE.getObservation();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' container reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OBSERVATION__SOURCE = eINSTANCE.getObservation_Source();

		/**
		 * The meta object literal for the '<em><b>Report</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OBSERVATION__REPORT = eINSTANCE.getObservation_Report();

		/**
		 * The meta object literal for the '<em><b>Reported By</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OBSERVATION__REPORTED_BY = eINSTANCE.getObservation_ReportedBy();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.ViolationImpl <em>Violation</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.ViolationImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getViolation()
		 * @generated
		 */
		EClass VIOLATION = eINSTANCE.getViolation();

		/**
		 * The meta object literal for the '<em><b>Message</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute VIOLATION__MESSAGE = eINSTANCE.getViolation_Message();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.WarningImpl <em>Warning</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.WarningImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getWarning()
		 * @generated
		 */
		EClass WARNING = eINSTANCE.getWarning();

		/**
		 * The meta object literal for the '<em><b>Cause</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WARNING__CAUSE = eINSTANCE.getWarning_Cause();

		/**
		 * The meta object literal for the '<em><b>Message</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WARNING__MESSAGE = eINSTANCE.getWarning_Message();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.MeasurementImpl <em>Measurement</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.MeasurementImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getMeasurement()
		 * @generated
		 */
		EClass MEASUREMENT = eINSTANCE.getMeasurement();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MEASUREMENT__NAME = eINSTANCE.getMeasurement_Name();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MEASUREMENT__VALUE = eINSTANCE.getMeasurement_Value();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.AnnotationImpl <em>Annotation</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.AnnotationImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getAnnotation()
		 * @generated
		 */
		EClass ANNOTATION = eINSTANCE.getAnnotation();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.RepositoryImpl <em>Repository</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.RepositoryImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getRepository()
		 * @generated
		 */
		EClass REPOSITORY = eINSTANCE.getRepository();

		/**
		 * The meta object literal for the '<em><b>Baselines</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REPOSITORY__BASELINES = eINSTANCE.getRepository_Baselines();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REPOSITORY__NAME = eINSTANCE.getRepository_Name();

		/**
		 * The meta object literal for the '<em><b>Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REPOSITORY__DESCRIPTION = eINSTANCE.getRepository_Description();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.Revision <em>Revision</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.Revision
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getRevision()
		 * @generated
		 */
		EClass REVISION = eINSTANCE.getRevision();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REVISION__NAME = eINSTANCE.getRevision_Name();

		/**
		 * The meta object literal for the '<em><b>Size</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REVISION__SIZE = eINSTANCE.getRevision_Size();

		/**
		 * The meta object literal for the '<em><b>Checksum</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REVISION__CHECKSUM = eINSTANCE.getRevision_Checksum();

		/**
		 * The meta object literal for the '<em><b>Timestamp</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REVISION__TIMESTAMP = eINSTANCE.getRevision_Timestamp();

		/**
		 * The meta object literal for the '<em><b>Checksum Algorithm</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REVISION__CHECKSUM_ALGORITHM = eINSTANCE.getRevision_ChecksumAlgorithm();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.BaselineImpl <em>Baseline</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.BaselineImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getBaseline()
		 * @generated
		 */
		EClass BASELINE = eINSTANCE.getBaseline();

		/**
		 * The meta object literal for the '<em><b>Roots</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BASELINE__ROOTS = eINSTANCE.getBaseline_Roots();

		/**
		 * The meta object literal for the '<em><b>Timestamp</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BASELINE__TIMESTAMP = eINSTANCE.getBaseline_Timestamp();

		/**
		 * The meta object literal for the '<em><b>Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BASELINE__DESCRIPTION = eINSTANCE.getBaseline_Description();

		/**
		 * The meta object literal for the '<em><b>Reports</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BASELINE__REPORTS = eINSTANCE.getBaseline_Reports();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.ReportImpl <em>Report</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.ReportImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getReport()
		 * @generated
		 */
		EClass REPORT = eINSTANCE.getReport();

		/**
		 * The meta object literal for the '<em><b>Observations</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REPORT__OBSERVATIONS = eINSTANCE.getReport_Observations();

		/**
		 * The meta object literal for the '<em><b>Inspector Sets</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REPORT__INSPECTOR_SETS = eINSTANCE.getReport_InspectorSets();

		/**
		 * The meta object literal for the '<em><b>Baseline</b></em>' container reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REPORT__BASELINE = eINSTANCE.getReport_Baseline();

		/**
		 * The meta object literal for the '<em><b>Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REPORT__DESCRIPTION = eINSTANCE.getReport_Description();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REPORT__NAME = eINSTANCE.getReport_Name();

		/**
		 * The meta object literal for the '<em><b>Timestamp</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REPORT__TIMESTAMP = eINSTANCE.getReport_Timestamp();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.InspectorSetImpl <em>Inspector Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.InspectorSetImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getInspectorSet()
		 * @generated
		 */
		EClass INSPECTOR_SET = eINSTANCE.getInspectorSet();

		/**
		 * The meta object literal for the '<em><b>Inspectors</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INSPECTOR_SET__INSPECTORS = eINSTANCE.getInspectorSet_Inspectors();

		/**
		 * The meta object literal for the '<em><b>Categories</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INSPECTOR_SET__CATEGORIES = eINSTANCE.getInspectorSet_Categories();

		/**
		 * The meta object literal for the '<em><b>Base</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INSPECTOR_SET__BASE = eINSTANCE.getInspectorSet_Base();

		/**
		 * The meta object literal for the '<em><b>Version</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INSPECTOR_SET__VERSION = eINSTANCE.getInspectorSet_Version();

		/**
		 * The meta object literal for the '<em><b>Included Inspectors</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INSPECTOR_SET__INCLUDED_INSPECTORS = eINSTANCE.getInspectorSet_IncludedInspectors();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.InspectorImpl <em>Inspector</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.InspectorImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getInspector()
		 * @generated
		 */
		EClass INSPECTOR = eINSTANCE.getInspector();

		/**
		 * The meta object literal for the '<em><b>Category</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INSPECTOR__CATEGORY = eINSTANCE.getInspector_Category();

		/**
		 * The meta object literal for the '<em><b>Uid</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INSPECTOR__UID = eINSTANCE.getInspector_Uid();

		/**
		 * The meta object literal for the '<em><b>Severity</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INSPECTOR__SEVERITY = eINSTANCE.getInspector_Severity();

		/**
		 * The meta object literal for the '<em><b>Message Template</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INSPECTOR__MESSAGE_TEMPLATE = eINSTANCE.getInspector_MessageTemplate();

		/**
		 * The meta object literal for the '<em><b>Inspector Set</b></em>' container reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INSPECTOR__INSPECTOR_SET = eINSTANCE.getInspector_InspectorSet();

		/**
		 * The meta object literal for the '<em><b>Outbound Relationships</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INSPECTOR__OUTBOUND_RELATIONSHIPS = eINSTANCE.getInspector_OutboundRelationships();

		/**
		 * The meta object literal for the '<em><b>Inbound Relationships</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INSPECTOR__INBOUND_RELATIONSHIPS = eINSTANCE.getInspector_InboundRelationships();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.InspectorCategoryImpl <em>Inspector Category</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.InspectorCategoryImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getInspectorCategory()
		 * @generated
		 */
		EClass INSPECTOR_CATEGORY = eINSTANCE.getInspectorCategory();

		/**
		 * The meta object literal for the '<em><b>Sub Category</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INSPECTOR_CATEGORY__SUB_CATEGORY = eINSTANCE.getInspectorCategory_SubCategory();

		/**
		 * The meta object literal for the '<em><b>Parent Category</b></em>' container reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INSPECTOR_CATEGORY__PARENT_CATEGORY = eINSTANCE.getInspectorCategory_ParentCategory();

		/**
		 * The meta object literal for the '<em><b>External Parent</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INSPECTOR_CATEGORY__EXTERNAL_PARENT = eINSTANCE.getInspectorCategory_ExternalParent();

		/**
		 * The meta object literal for the '<em><b>Governed By</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INSPECTOR_CATEGORY__GOVERNED_BY = eINSTANCE.getInspectorCategory_GovernedBy();

		/**
		 * The meta object literal for the '<em><b>Inspectors</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INSPECTOR_CATEGORY__INSPECTORS = eINSTANCE.getInspectorCategory_Inspectors();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.ComponentImpl <em>Component</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.ComponentImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getComponent()
		 * @generated
		 */
		EClass COMPONENT = eINSTANCE.getComponent();

		/**
		 * The meta object literal for the '<em><b>Module</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__MODULE = eINSTANCE.getComponent_Module();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMPONENT__NAME = eINSTANCE.getComponent_Name();

		/**
		 * The meta object literal for the '<em><b>Reporter</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__REPORTER = eINSTANCE.getComponent_Reporter();

		/**
		 * The meta object literal for the '<em><b>Waivers</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__WAIVERS = eINSTANCE.getComponent_Waivers();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.ModuleImpl <em>Module</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.ModuleImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getModule()
		 * @generated
		 */
		EClass MODULE = eINSTANCE.getModule();

		/**
		 * The meta object literal for the '<em><b>Inspector Set</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MODULE__INSPECTOR_SET = eINSTANCE.getModule_InspectorSet();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MODULE__NAME = eINSTANCE.getModule_Name();

		/**
		 * The meta object literal for the '<em><b>Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MODULE__DESCRIPTION = eINSTANCE.getModule_Description();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MODULE__SOURCE = eINSTANCE.getModule_Source();

		/**
		 * The meta object literal for the '<em><b>Class Path</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MODULE__CLASS_PATH = eINSTANCE.getModule_ClassPath();

		/**
		 * The meta object literal for the '<em><b>Model</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MODULE__MODEL = eINSTANCE.getModule_Model();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.LanguageElement <em>Language Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.LanguageElement
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getLanguageElement()
		 * @generated
		 */
		EClass LANGUAGE_ELEMENT = eINSTANCE.getLanguageElement();

		/**
		 * The meta object literal for the '<em><b>Observations</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference LANGUAGE_ELEMENT__OBSERVATIONS = eINSTANCE.getLanguageElement_Observations();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.WaiverImpl <em>Waiver</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.WaiverImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getWaiver()
		 * @generated
		 */
		EClass WAIVER = eINSTANCE.getWaiver();

		/**
		 * The meta object literal for the '<em><b>Signature</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WAIVER__SIGNATURE = eINSTANCE.getWaiver_Signature();

		/**
		 * The meta object literal for the '<em><b>Inspector</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference WAIVER__INSPECTOR = eINSTANCE.getWaiver_Inspector();

		/**
		 * The meta object literal for the '<em><b>Expiration Time</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WAIVER__EXPIRATION_TIME = eINSTANCE.getWaiver_ExpirationTime();

		/**
		 * The meta object literal for the '<em><b>Comment</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WAIVER__COMMENT = eINSTANCE.getWaiver_Comment();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.GovernanceDomainImpl <em>Governance Domain</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.GovernanceDomainImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getGovernanceDomain()
		 * @generated
		 */
		EClass GOVERNANCE_DOMAIN = eINSTANCE.getGovernanceDomain();

		/**
		 * The meta object literal for the '<em><b>Categories</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference GOVERNANCE_DOMAIN__CATEGORIES = eINSTANCE.getGovernanceDomain_Categories();

		/**
		 * The meta object literal for the '<em><b>Tools</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference GOVERNANCE_DOMAIN__TOOLS = eINSTANCE.getGovernanceDomain_Tools();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.ArtifactTypeImpl <em>Artifact Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.ArtifactTypeImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getArtifactType()
		 * @generated
		 */
		EClass ARTIFACT_TYPE = eINSTANCE.getArtifactType();

		/**
		 * The meta object literal for the '<em><b>Language Modules</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ARTIFACT_TYPE__LANGUAGE_MODULES = eINSTANCE.getArtifactType_LanguageModules();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.ToolImpl <em>Tool</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.ToolImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getTool()
		 * @generated
		 */
		EClass TOOL = eINSTANCE.getTool();

		/**
		 * The meta object literal for the '<em><b>Identity</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TOOL__IDENTITY = eINSTANCE.getTool_Identity();

		/**
		 * The meta object literal for the '<em><b>Versions</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TOOL__VERSIONS = eINSTANCE.getTool_Versions();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.ToolVersionImpl <em>Tool Version</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.ToolVersionImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getToolVersion()
		 * @generated
		 */
		EClass TOOL_VERSION = eINSTANCE.getToolVersion();

		/**
		 * The meta object literal for the '<em><b>Identity</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TOOL_VERSION__IDENTITY = eINSTANCE.getToolVersion_Identity();

		/**
		 * The meta object literal for the '<em><b>Governs</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TOOL_VERSION__GOVERNS = eINSTANCE.getToolVersion_Governs();

		/**
		 * The meta object literal for the '<em><b>Enforces</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TOOL_VERSION__ENFORCES = eINSTANCE.getToolVersion_Enforces();

		/**
		 * The meta object literal for the '<em><b>Tool</b></em>' container reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TOOL_VERSION__TOOL = eINSTANCE.getToolVersion_Tool();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.GovernanaceObject <em>Governanace Object</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.GovernanaceObject
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getGovernanaceObject()
		 * @generated
		 */
		EClass GOVERNANACE_OBJECT = eINSTANCE.getGovernanaceObject();

		/**
		 * The meta object literal for the '<em><b>Uid</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GOVERNANACE_OBJECT__UID = eINSTANCE.getGovernanaceObject_Uid();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GOVERNANACE_OBJECT__NAME = eINSTANCE.getGovernanaceObject_Name();

		/**
		 * The meta object literal for the '<em><b>Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GOVERNANACE_OBJECT__DESCRIPTION = eINSTANCE.getGovernanaceObject_Description();

		/**
		 * The meta object literal for the '<em><b>References</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GOVERNANACE_OBJECT__REFERENCES = eINSTANCE.getGovernanaceObject_References();

		/**
		 * The meta object literal for the '<em><b>Home Page</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GOVERNANACE_OBJECT__HOME_PAGE = eINSTANCE.getGovernanaceObject_HomePage();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.Governor <em>Governor</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.Governor
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getGovernor()
		 * @generated
		 */
		EClass GOVERNOR = eINSTANCE.getGovernor();

		/**
		 * The meta object literal for the '<em><b>Language Modules</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference GOVERNOR__LANGUAGE_MODULES = eINSTANCE.getGovernor_LanguageModules();

		/**
		 * The meta object literal for the '<em><b>Enforced By</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference GOVERNOR__ENFORCED_BY = eINSTANCE.getGovernor_EnforcedBy();

		/**
		 * The meta object literal for the '{@link com.hammurapi.review.impl.InspectorRelationshipImpl <em>Inspector Relationship</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.hammurapi.review.impl.InspectorRelationshipImpl
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getInspectorRelationship()
		 * @generated
		 */
		EClass INSPECTOR_RELATIONSHIP = eINSTANCE.getInspectorRelationship();

		/**
		 * The meta object literal for the '<em><b>Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INSPECTOR_RELATIONSHIP__DESCRIPTION = eINSTANCE.getInspectorRelationship_Description();

		/**
		 * The meta object literal for the '<em><b>Target</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INSPECTOR_RELATIONSHIP__TARGET = eINSTANCE.getInspectorRelationship_Target();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' container reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INSPECTOR_RELATIONSHIP__SOURCE = eINSTANCE.getInspectorRelationship_Source();

		/**
		 * The meta object literal for the '<em>EException</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.Exception
		 * @see com.hammurapi.review.impl.ReviewPackageImpl#getEException()
		 * @generated
		 */
		EDataType EEXCEPTION = eINSTANCE.getEException();

	}

} //ReviewPackage
