/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.hammurapi.review;

import com.hammurapi.party.Identity;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Tool</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * Governance/automated code review tool used in the domain.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.hammurapi.review.Tool#getIdentity <em>Identity</em>}</li>
 *   <li>{@link com.hammurapi.review.Tool#getVersions <em>Versions</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.hammurapi.review.ReviewPackage#getTool()
 * @model
 * @generated
 */
public interface Tool extends GovernanaceObject {
	/**
	 * Returns the value of the '<em><b>Identity</b></em>' containment reference list.
	 * The list contents are of type {@link com.hammurapi.party.Identity}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * External tool identities, e.g. registration number of the tool in the company's inventory system.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Identity</em>' containment reference list.
	 * @see com.hammurapi.review.ReviewPackage#getTool_Identity()
	 * @model containment="true"
	 * @generated
	 */
	EList<Identity> getIdentity();

	/**
	 * Returns the value of the '<em><b>Versions</b></em>' containment reference list.
	 * The list contents are of type {@link com.hammurapi.review.ToolVersion}.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.ToolVersion#getTool <em>Tool</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Versions</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Versions</em>' containment reference list.
	 * @see com.hammurapi.review.ReviewPackage#getTool_Versions()
	 * @see com.hammurapi.review.ToolVersion#getTool
	 * @model opposite="tool" containment="true"
	 * @generated
	 */
	EList<ToolVersion> getVersions();

} // Tool
