/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.hammurapi.review;

import com.hammurapi.party.Identity;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Tool Version</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.hammurapi.review.ToolVersion#getIdentity <em>Identity</em>}</li>
 *   <li>{@link com.hammurapi.review.ToolVersion#getGoverns <em>Governs</em>}</li>
 *   <li>{@link com.hammurapi.review.ToolVersion#getEnforces <em>Enforces</em>}</li>
 *   <li>{@link com.hammurapi.review.ToolVersion#getTool <em>Tool</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.hammurapi.review.ReviewPackage#getToolVersion()
 * @model
 * @generated
 */
public interface ToolVersion extends GovernanaceObject {
	/**
	 * Returns the value of the '<em><b>Identity</b></em>' containment reference list.
	 * The list contents are of type {@link com.hammurapi.party.Identity}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * External version identities, e.g. registration number of the version in the company's inventory system.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Identity</em>' containment reference list.
	 * @see com.hammurapi.review.ReviewPackage#getToolVersion_Identity()
	 * @model containment="true"
	 * @generated
	 */
	EList<Identity> getIdentity();

	/**
	 * Returns the value of the '<em><b>Governs</b></em>' reference list.
	 * The list contents are of type {@link com.hammurapi.review.InspectorCategory}.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.InspectorCategory#getGovernedBy <em>Governed By</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Governs</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Governs</em>' reference list.
	 * @see com.hammurapi.review.ReviewPackage#getToolVersion_Governs()
	 * @see com.hammurapi.review.InspectorCategory#getGovernedBy
	 * @model opposite="governedBy"
	 * @generated
	 */
	EList<InspectorCategory> getGoverns();

	/**
	 * Returns the value of the '<em><b>Enforces</b></em>' reference list.
	 * The list contents are of type {@link com.hammurapi.review.Governor}.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.Governor#getEnforcedBy <em>Enforced By</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Inspectors (guidelines) and inspector sets enforced by this tool.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Enforces</em>' reference list.
	 * @see com.hammurapi.review.ReviewPackage#getToolVersion_Enforces()
	 * @see com.hammurapi.review.Governor#getEnforcedBy
	 * @model opposite="enforcedBy"
	 * @generated
	 */
	EList<Governor> getEnforces();

	/**
	 * Returns the value of the '<em><b>Tool</b></em>' container reference.
	 * It is bidirectional and its opposite is '{@link com.hammurapi.review.Tool#getVersions <em>Versions</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Tool</em>' container reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Tool</em>' container reference.
	 * @see #setTool(Tool)
	 * @see com.hammurapi.review.ReviewPackage#getToolVersion_Tool()
	 * @see com.hammurapi.review.Tool#getVersions
	 * @model opposite="versions" required="true" transient="false"
	 * @generated
	 */
	Tool getTool();

	/**
	 * Sets the value of the '{@link com.hammurapi.review.ToolVersion#getTool <em>Tool</em>}' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Tool</em>' container reference.
	 * @see #getTool()
	 * @generated
	 */
	void setTool(Tool value);

} // ToolVersion
