/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.hammurapi.review.impl;

import com.hammurapi.config.Named;
import com.hammurapi.config.Factory;
import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.EObjectContainmentWithInverseEList;
import org.eclipse.emf.ecore.util.EObjectResolvingEList;
import org.eclipse.emf.ecore.util.EObjectWithInverseResolvingEList;
import org.eclipse.emf.ecore.util.InternalEList;

import com.hammurapi.config.impl.NamedObjectDefinitionImpl;
import com.hammurapi.review.Inspector;
import com.hammurapi.review.InspectorCategory;
import com.hammurapi.review.InspectorSet;
import com.hammurapi.review.ReviewPackage;
import com.hammurapi.review.ToolVersion;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Inspector Set</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link com.hammurapi.review.impl.InspectorSetImpl#getLanguageModules <em>Language Modules</em>}</li>
 *   <li>{@link com.hammurapi.review.impl.InspectorSetImpl#getEnforcedBy <em>Enforced By</em>}</li>
 *   <li>{@link com.hammurapi.review.impl.InspectorSetImpl#getInspectors <em>Inspectors</em>}</li>
 *   <li>{@link com.hammurapi.review.impl.InspectorSetImpl#getCategories <em>Categories</em>}</li>
 *   <li>{@link com.hammurapi.review.impl.InspectorSetImpl#getBase <em>Base</em>}</li>
 *   <li>{@link com.hammurapi.review.impl.InspectorSetImpl#getVersion <em>Version</em>}</li>
 *   <li>{@link com.hammurapi.review.impl.InspectorSetImpl#getIncludedInspectors <em>Included Inspectors</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class InspectorSetImpl extends NamedObjectDefinitionImpl implements InspectorSet {
	/**
	 * The cached value of the '{@link #getLanguageModules() <em>Language Modules</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLanguageModules()
	 * @generated
	 * @ordered
	 */
	protected EList<Named> languageModules;

	/**
	 * The cached value of the '{@link #getEnforcedBy() <em>Enforced By</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEnforcedBy()
	 * @generated
	 * @ordered
	 */
	protected EList<ToolVersion> enforcedBy;

	/**
	 * The cached value of the '{@link #getInspectors() <em>Inspectors</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getInspectors()
	 * @generated
	 * @ordered
	 */
	protected EList<Inspector> inspectors;

	/**
	 * The cached value of the '{@link #getCategories() <em>Categories</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCategories()
	 * @generated
	 * @ordered
	 */
	protected EList<InspectorCategory> categories;

	/**
	 * The cached value of the '{@link #getBase() <em>Base</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBase()
	 * @generated
	 * @ordered
	 */
	protected EList<InspectorSet> base;

	/**
	 * The default value of the '{@link #getVersion() <em>Version</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVersion()
	 * @generated
	 * @ordered
	 */
	protected static final String VERSION_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVersion() <em>Version</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVersion()
	 * @generated
	 * @ordered
	 */
	protected String version = VERSION_EDEFAULT;

	/**
	 * The cached value of the '{@link #getIncludedInspectors() <em>Included Inspectors</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIncludedInspectors()
	 * @generated
	 * @ordered
	 */
	protected EList<Inspector> includedInspectors;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected InspectorSetImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return ReviewPackage.Literals.INSPECTOR_SET;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<Named> getLanguageModules() {
		if (languageModules == null) {
			languageModules = new EObjectResolvingEList<Named>(Named.class, this, ReviewPackage.INSPECTOR_SET__LANGUAGE_MODULES);
		}
		return languageModules;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<ToolVersion> getEnforcedBy() {
		if (enforcedBy == null) {
			enforcedBy = new EObjectWithInverseResolvingEList.ManyInverse<ToolVersion>(ToolVersion.class, this, ReviewPackage.INSPECTOR_SET__ENFORCED_BY, ReviewPackage.TOOL_VERSION__ENFORCES);
		}
		return enforcedBy;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<Inspector> getInspectors() {
		if (inspectors == null) {
			inspectors = new EObjectContainmentWithInverseEList<Inspector>(Inspector.class, this, ReviewPackage.INSPECTOR_SET__INSPECTORS, ReviewPackage.INSPECTOR__INSPECTOR_SET);
		}
		return inspectors;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<InspectorCategory> getCategories() {
		if (categories == null) {
			categories = new EObjectContainmentEList<InspectorCategory>(InspectorCategory.class, this, ReviewPackage.INSPECTOR_SET__CATEGORIES);
		}
		return categories;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<InspectorSet> getBase() {
		if (base == null) {
			base = new EObjectResolvingEList<InspectorSet>(InspectorSet.class, this, ReviewPackage.INSPECTOR_SET__BASE);
		}
		return base;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getVersion() {
		return version;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVersion(String newVersion) {
		String oldVersion = version;
		version = newVersion;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, ReviewPackage.INSPECTOR_SET__VERSION, oldVersion, version));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<Inspector> getIncludedInspectors() {
		if (includedInspectors == null) {
			includedInspectors = new EObjectResolvingEList<Inspector>(Inspector.class, this, ReviewPackage.INSPECTOR_SET__INCLUDED_INSPECTORS);
		}
		return includedInspectors;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case ReviewPackage.INSPECTOR_SET__ENFORCED_BY:
				return ((InternalEList<InternalEObject>)(InternalEList<?>)getEnforcedBy()).basicAdd(otherEnd, msgs);
			case ReviewPackage.INSPECTOR_SET__INSPECTORS:
				return ((InternalEList<InternalEObject>)(InternalEList<?>)getInspectors()).basicAdd(otherEnd, msgs);
		}
		return super.eInverseAdd(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case ReviewPackage.INSPECTOR_SET__ENFORCED_BY:
				return ((InternalEList<?>)getEnforcedBy()).basicRemove(otherEnd, msgs);
			case ReviewPackage.INSPECTOR_SET__INSPECTORS:
				return ((InternalEList<?>)getInspectors()).basicRemove(otherEnd, msgs);
			case ReviewPackage.INSPECTOR_SET__CATEGORIES:
				return ((InternalEList<?>)getCategories()).basicRemove(otherEnd, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case ReviewPackage.INSPECTOR_SET__LANGUAGE_MODULES:
				return getLanguageModules();
			case ReviewPackage.INSPECTOR_SET__ENFORCED_BY:
				return getEnforcedBy();
			case ReviewPackage.INSPECTOR_SET__INSPECTORS:
				return getInspectors();
			case ReviewPackage.INSPECTOR_SET__CATEGORIES:
				return getCategories();
			case ReviewPackage.INSPECTOR_SET__BASE:
				return getBase();
			case ReviewPackage.INSPECTOR_SET__VERSION:
				return getVersion();
			case ReviewPackage.INSPECTOR_SET__INCLUDED_INSPECTORS:
				return getIncludedInspectors();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case ReviewPackage.INSPECTOR_SET__LANGUAGE_MODULES:
				getLanguageModules().clear();
				getLanguageModules().addAll((Collection<? extends Named>)newValue);
				return;
			case ReviewPackage.INSPECTOR_SET__ENFORCED_BY:
				getEnforcedBy().clear();
				getEnforcedBy().addAll((Collection<? extends ToolVersion>)newValue);
				return;
			case ReviewPackage.INSPECTOR_SET__INSPECTORS:
				getInspectors().clear();
				getInspectors().addAll((Collection<? extends Inspector>)newValue);
				return;
			case ReviewPackage.INSPECTOR_SET__CATEGORIES:
				getCategories().clear();
				getCategories().addAll((Collection<? extends InspectorCategory>)newValue);
				return;
			case ReviewPackage.INSPECTOR_SET__BASE:
				getBase().clear();
				getBase().addAll((Collection<? extends InspectorSet>)newValue);
				return;
			case ReviewPackage.INSPECTOR_SET__VERSION:
				setVersion((String)newValue);
				return;
			case ReviewPackage.INSPECTOR_SET__INCLUDED_INSPECTORS:
				getIncludedInspectors().clear();
				getIncludedInspectors().addAll((Collection<? extends Inspector>)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case ReviewPackage.INSPECTOR_SET__LANGUAGE_MODULES:
				getLanguageModules().clear();
				return;
			case ReviewPackage.INSPECTOR_SET__ENFORCED_BY:
				getEnforcedBy().clear();
				return;
			case ReviewPackage.INSPECTOR_SET__INSPECTORS:
				getInspectors().clear();
				return;
			case ReviewPackage.INSPECTOR_SET__CATEGORIES:
				getCategories().clear();
				return;
			case ReviewPackage.INSPECTOR_SET__BASE:
				getBase().clear();
				return;
			case ReviewPackage.INSPECTOR_SET__VERSION:
				setVersion(VERSION_EDEFAULT);
				return;
			case ReviewPackage.INSPECTOR_SET__INCLUDED_INSPECTORS:
				getIncludedInspectors().clear();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case ReviewPackage.INSPECTOR_SET__LANGUAGE_MODULES:
				return languageModules != null && !languageModules.isEmpty();
			case ReviewPackage.INSPECTOR_SET__ENFORCED_BY:
				return enforcedBy != null && !enforcedBy.isEmpty();
			case ReviewPackage.INSPECTOR_SET__INSPECTORS:
				return inspectors != null && !inspectors.isEmpty();
			case ReviewPackage.INSPECTOR_SET__CATEGORIES:
				return categories != null && !categories.isEmpty();
			case ReviewPackage.INSPECTOR_SET__BASE:
				return base != null && !base.isEmpty();
			case ReviewPackage.INSPECTOR_SET__VERSION:
				return VERSION_EDEFAULT == null ? version != null : !VERSION_EDEFAULT.equals(version);
			case ReviewPackage.INSPECTOR_SET__INCLUDED_INSPECTORS:
				return includedInspectors != null && !includedInspectors.isEmpty();
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (version: ");
		result.append(version);
		result.append(')');
		return result.toString();
	}

} //InspectorSetImpl
