/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.hammurapi.review.impl;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;
import org.eclipse.emf.ecore.util.EcoreUtil;

import com.hammurapi.review.Inspector;
import com.hammurapi.review.LanguageElement;
import com.hammurapi.review.Observation;
import com.hammurapi.review.Report;
import com.hammurapi.review.ReviewPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Observation</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link com.hammurapi.review.impl.ObservationImpl#getSource <em>Source</em>}</li>
 *   <li>{@link com.hammurapi.review.impl.ObservationImpl#getReport <em>Report</em>}</li>
 *   <li>{@link com.hammurapi.review.impl.ObservationImpl#getReportedBy <em>Reported By</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class ObservationImpl extends EObjectImpl implements Observation {
	/**
	 * The cached value of the '{@link #getReport() <em>Report</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getReport()
	 * @generated
	 * @ordered
	 */
	protected Report report;

	/**
	 * The cached value of the '{@link #getReportedBy() <em>Reported By</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getReportedBy()
	 * @generated
	 * @ordered
	 */
	protected Inspector reportedBy;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ObservationImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return ReviewPackage.Literals.OBSERVATION;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public LanguageElement getSource() {
		if (eContainerFeatureID() != ReviewPackage.OBSERVATION__SOURCE) return null;
		return (LanguageElement)eContainer();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetSource(LanguageElement newSource, NotificationChain msgs) {
		msgs = eBasicSetContainer((InternalEObject)newSource, ReviewPackage.OBSERVATION__SOURCE, msgs);
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSource(LanguageElement newSource) {
		if (newSource != eInternalContainer() || (eContainerFeatureID() != ReviewPackage.OBSERVATION__SOURCE && newSource != null)) {
			if (EcoreUtil.isAncestor(this, newSource))
				throw new IllegalArgumentException("Recursive containment not allowed for " + toString());
			NotificationChain msgs = null;
			if (eInternalContainer() != null)
				msgs = eBasicRemoveFromContainer(msgs);
			if (newSource != null)
				msgs = ((InternalEObject)newSource).eInverseAdd(this, ReviewPackage.LANGUAGE_ELEMENT__OBSERVATIONS, LanguageElement.class, msgs);
			msgs = basicSetSource(newSource, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, ReviewPackage.OBSERVATION__SOURCE, newSource, newSource));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Report getReport() {
		if (report != null && report.eIsProxy()) {
			InternalEObject oldReport = (InternalEObject)report;
			report = (Report)eResolveProxy(oldReport);
			if (report != oldReport) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, ReviewPackage.OBSERVATION__REPORT, oldReport, report));
			}
		}
		return report;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Report basicGetReport() {
		return report;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetReport(Report newReport, NotificationChain msgs) {
		Report oldReport = report;
		report = newReport;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, ReviewPackage.OBSERVATION__REPORT, oldReport, newReport);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setReport(Report newReport) {
		if (newReport != report) {
			NotificationChain msgs = null;
			if (report != null)
				msgs = ((InternalEObject)report).eInverseRemove(this, ReviewPackage.REPORT__OBSERVATIONS, Report.class, msgs);
			if (newReport != null)
				msgs = ((InternalEObject)newReport).eInverseAdd(this, ReviewPackage.REPORT__OBSERVATIONS, Report.class, msgs);
			msgs = basicSetReport(newReport, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, ReviewPackage.OBSERVATION__REPORT, newReport, newReport));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Inspector getReportedBy() {
		if (reportedBy != null && reportedBy.eIsProxy()) {
			InternalEObject oldReportedBy = (InternalEObject)reportedBy;
			reportedBy = (Inspector)eResolveProxy(oldReportedBy);
			if (reportedBy != oldReportedBy) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, ReviewPackage.OBSERVATION__REPORTED_BY, oldReportedBy, reportedBy));
			}
		}
		return reportedBy;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Inspector basicGetReportedBy() {
		return reportedBy;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setReportedBy(Inspector newReportedBy) {
		Inspector oldReportedBy = reportedBy;
		reportedBy = newReportedBy;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, ReviewPackage.OBSERVATION__REPORTED_BY, oldReportedBy, reportedBy));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case ReviewPackage.OBSERVATION__SOURCE:
				if (eInternalContainer() != null)
					msgs = eBasicRemoveFromContainer(msgs);
				return basicSetSource((LanguageElement)otherEnd, msgs);
			case ReviewPackage.OBSERVATION__REPORT:
				if (report != null)
					msgs = ((InternalEObject)report).eInverseRemove(this, ReviewPackage.REPORT__OBSERVATIONS, Report.class, msgs);
				return basicSetReport((Report)otherEnd, msgs);
		}
		return super.eInverseAdd(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case ReviewPackage.OBSERVATION__SOURCE:
				return basicSetSource(null, msgs);
			case ReviewPackage.OBSERVATION__REPORT:
				return basicSetReport(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs) {
		switch (eContainerFeatureID()) {
			case ReviewPackage.OBSERVATION__SOURCE:
				return eInternalContainer().eInverseRemove(this, ReviewPackage.LANGUAGE_ELEMENT__OBSERVATIONS, LanguageElement.class, msgs);
		}
		return super.eBasicRemoveFromContainerFeature(msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case ReviewPackage.OBSERVATION__SOURCE:
				return getSource();
			case ReviewPackage.OBSERVATION__REPORT:
				if (resolve) return getReport();
				return basicGetReport();
			case ReviewPackage.OBSERVATION__REPORTED_BY:
				if (resolve) return getReportedBy();
				return basicGetReportedBy();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case ReviewPackage.OBSERVATION__SOURCE:
				setSource((LanguageElement)newValue);
				return;
			case ReviewPackage.OBSERVATION__REPORT:
				setReport((Report)newValue);
				return;
			case ReviewPackage.OBSERVATION__REPORTED_BY:
				setReportedBy((Inspector)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case ReviewPackage.OBSERVATION__SOURCE:
				setSource((LanguageElement)null);
				return;
			case ReviewPackage.OBSERVATION__REPORT:
				setReport((Report)null);
				return;
			case ReviewPackage.OBSERVATION__REPORTED_BY:
				setReportedBy((Inspector)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case ReviewPackage.OBSERVATION__SOURCE:
				return getSource() != null;
			case ReviewPackage.OBSERVATION__REPORT:
				return report != null;
			case ReviewPackage.OBSERVATION__REPORTED_BY:
				return reportedBy != null;
		}
		return super.eIsSet(featureID);
	}

} //ObservationImpl
