/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.hammurapi.review.impl;

import com.hammurapi.review.*;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.impl.EFactoryImpl;
import org.eclipse.emf.ecore.plugin.EcorePlugin;

import com.hammurapi.review.Annotation;
import com.hammurapi.review.Baseline;
import com.hammurapi.review.Component;
import com.hammurapi.review.Inspector;
import com.hammurapi.review.InspectorCategory;
import com.hammurapi.review.InspectorSet;
import com.hammurapi.review.Measurement;
import com.hammurapi.review.Module;
import com.hammurapi.review.Observation;
import com.hammurapi.review.Report;
import com.hammurapi.review.Repository;
import com.hammurapi.review.ReviewFactory;
import com.hammurapi.review.ReviewPackage;
import com.hammurapi.review.Revision;
import com.hammurapi.review.Violation;
import com.hammurapi.review.Waiver;
import com.hammurapi.review.Warning;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class ReviewFactoryImpl extends EFactoryImpl implements ReviewFactory {
	/**
	 * Creates the default factory implementation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static ReviewFactory init() {
		try {
			ReviewFactory theReviewFactory = (ReviewFactory)EPackage.Registry.INSTANCE.getEFactory("http://www.hammurapi.com/review"); 
			if (theReviewFactory != null) {
				return theReviewFactory;
			}
		}
		catch (Exception exception) {
			EcorePlugin.INSTANCE.log(exception);
		}
		return new ReviewFactoryImpl();
	}

	/**
	 * Creates an instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReviewFactoryImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public EObject create(EClass eClass) {
		switch (eClass.getClassifierID()) {
			case ReviewPackage.OBSERVATION: return createObservation();
			case ReviewPackage.VIOLATION: return createViolation();
			case ReviewPackage.WARNING: return createWarning();
			case ReviewPackage.MEASUREMENT: return createMeasurement();
			case ReviewPackage.ANNOTATION: return createAnnotation();
			case ReviewPackage.REPOSITORY: return createRepository();
			case ReviewPackage.BASELINE: return createBaseline();
			case ReviewPackage.REPORT: return createReport();
			case ReviewPackage.INSPECTOR_SET: return createInspectorSet();
			case ReviewPackage.INSPECTOR: return createInspector();
			case ReviewPackage.INSPECTOR_CATEGORY: return createInspectorCategory();
			case ReviewPackage.COMPONENT: return createComponent();
			case ReviewPackage.MODULE: return createModule();
			case ReviewPackage.WAIVER: return createWaiver();
			case ReviewPackage.GOVERNANCE_DOMAIN: return createGovernanceDomain();
			case ReviewPackage.ARTIFACT_TYPE: return createArtifactType();
			case ReviewPackage.TOOL: return createTool();
			case ReviewPackage.TOOL_VERSION: return createToolVersion();
			case ReviewPackage.INSPECTOR_RELATIONSHIP: return createInspectorRelationship();
			default:
				throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object createFromString(EDataType eDataType, String initialValue) {
		switch (eDataType.getClassifierID()) {
			case ReviewPackage.EEXCEPTION:
				return createEExceptionFromString(eDataType, initialValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String convertToString(EDataType eDataType, Object instanceValue) {
		switch (eDataType.getClassifierID()) {
			case ReviewPackage.EEXCEPTION:
				return convertEExceptionToString(eDataType, instanceValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Observation createObservation() {
		ObservationImpl observation = new ObservationImpl();
		return observation;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Violation createViolation() {
		ViolationImpl violation = new ViolationImpl();
		return violation;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Warning createWarning() {
		WarningImpl warning = new WarningImpl();
		return warning;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Measurement createMeasurement() {
		MeasurementImpl measurement = new MeasurementImpl();
		return measurement;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Annotation createAnnotation() {
		AnnotationImpl annotation = new AnnotationImpl();
		return annotation;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Repository createRepository() {
		RepositoryImpl repository = new RepositoryImpl();
		return repository;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Baseline createBaseline() {
		BaselineImpl baseline = new BaselineImpl();
		return baseline;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Report createReport() {
		ReportImpl report = new ReportImpl();
		return report;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public InspectorSet createInspectorSet() {
		InspectorSetImpl inspectorSet = new InspectorSetImpl();
		return inspectorSet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Inspector createInspector() {
		InspectorImpl inspector = new InspectorImpl();
		return inspector;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public InspectorCategory createInspectorCategory() {
		InspectorCategoryImpl inspectorCategory = new InspectorCategoryImpl();
		return inspectorCategory;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Component createComponent() {
		ComponentImpl component = new ComponentImpl();
		return component;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Module createModule() {
		ModuleImpl module = new ModuleImpl();
		return module;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Waiver createWaiver() {
		WaiverImpl waiver = new WaiverImpl();
		return waiver;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public GovernanceDomain createGovernanceDomain() {
		GovernanceDomainImpl governanceDomain = new GovernanceDomainImpl();
		return governanceDomain;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ArtifactType createArtifactType() {
		ArtifactTypeImpl artifactType = new ArtifactTypeImpl();
		return artifactType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Tool createTool() {
		ToolImpl tool = new ToolImpl();
		return tool;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ToolVersion createToolVersion() {
		ToolVersionImpl toolVersion = new ToolVersionImpl();
		return toolVersion;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public InspectorRelationship createInspectorRelationship() {
		InspectorRelationshipImpl inspectorRelationship = new InspectorRelationshipImpl();
		return inspectorRelationship;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Exception createEExceptionFromString(EDataType eDataType, String initialValue) {
		return (Exception)super.createFromString(eDataType, initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertEExceptionToString(EDataType eDataType, Object instanceValue) {
		return super.convertToString(eDataType, instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReviewPackage getReviewPackage() {
		return (ReviewPackage)getEPackage();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated
	 * @generated
	 */
	@Deprecated
	public static ReviewPackage getPackage() {
		return ReviewPackage.eINSTANCE;
	}

} //ReviewFactoryImpl
